Changelog
=========

28.4 - (2021-05-20)
---------------------------
* Change: Modified frontpage_view template so that it no longer uses
  portal_vocabularies for themes retrieval
  [iulianpetchesi #131802]
* Change: tweak countries region css for header placement and background
  size
  [ichim-david]

28.3 - (2021-02-03)
---------------------------
* Bug fix: use javascript to compute position of floated right and left
  relations
  [ichim-david refs #126353]
* Bug fix: effective date is now set in automatic only on publish.
  [alecghica refs #127760]

28.2 - (2021-01-08)
---------------------------
* Bug fix: fixed footer layout for contributed to tables
  [ichim-david]
* Feature: added style for documentParentHeader used by children of Report
  to join parent title with context title
  [ichim-david refs #125423]

28.1 - (2020-12-21)
---------------------------
* Bug fix: ensure that prepOverlay from overlayhelpers.js loads on dom load
  ensuring that calls to it don't throw a js error such as in the case of
  comments.js
  [ichim-david refs #125298]
* Bug fix: fixed more use-cases where effective date was set before publish.
  [alecghica refs #125441]

28.0 - (2020-11-25)
---------------------------
* Change: modified footer links to point to address.html when
  not on en language otherwise we point to contact-us page on
  footer
  [ichim-david refs #123558]

27.9 - (2020-11-25)
---------------------------
* Change: Customized content_status_modify plone script so that effective
  date is not set when the transition is 'show'
  [iulianpetchesi #122818]
* Bug fix: fixed sub and sup position by removing css override
  [ichim-david refs #100730]

27.8 - (2020-11-24)
---------------------------
* Change: Refs #119674 and #124597 docs and design documentation
  [ichim-david]

27.7 - (2020-11-17)
---------------------------
* Bug fix: Fixed tinymce popup right panel and action buttons
  [ichim-david refs #124543]
* Bug fix: scroll into view if hash is present after we finish the
  addition of ids on headers
  [ichim-david refs #123625]
* Change: moved plone.abovecontentbody viewlet manager right above
  the content-core area in order to get toc viewlet again to show
  up in the content area and not the header area
  [ichim-david refs #122968]
* Change: Modified the helpdesk widget disclaimer
  [iulianpetchesi refs #124181]
* Change: add fise website to the footer portlets
  [ichim-david refs #121232]
* Change: ensure @@crop overlay display image and crop button without overflow
  [ichim-david refs #121137]

27.6 - (2020-10-06)
---------------------------
* Bug fix: various css fixes for mobile resolution after latest
  round of design changes
  [ichim-david refs #121911]

27.5 - (2020-09-28)
---------------------------
* Change: Added email validation to redmine widget + style modifications
  [iulianpetchesi refs #122065]
* Bug fix: changed to production Taskman
  [alecghica refs #119268]

27.4 - (2020-09-21)
---------------------------
* Bug Fix: Fix faulty upgrade profile name
  [iulianpetchesi refs #119268]

27.3 - (2020-09-16)
---------------------------
* Change: Added friendly captcha js file to portal javascript (upgrade step) +
  widget improvements
  [iulianpetchesi refs #119268]

27.2 - (2020-09-11)
---------------------------
* Feature: Added redmine helpdesk widget + upgrade step to add 1 js/css file
  for the widget
  [iulianpetchesi refs #119268]

27.1 - (2020-08-24)
---------------------------
* Feature: added **disable_eea.miniheader_small_content_column** request
  variable which if set will set width-full class on portal-content-column
  [ichim-david refs #120363]
* Feature: added **disable_eea.miniheader** request variable which if set on
  template will disable mini header even if enabled per content type
  [ichim-david refs #120363]
* Feature: added scroll to the top button
  [madelaines refs #119305]

27.0 - (2020-08-11)
---------------------------
* Change: new style for navigation is enabled only if mini header navigation
  is enabled
  [ichim-david refs #111968]

26.9 - (2020-08-03)
---------------------------
* Feature: added ability to specify what should be enabled for the new mini
  header, for now we have option to show or hide the portal type, the navigation
  and the white variant of the header
  [ichim-david refs #111968]
* Bug fix: show category selection within edit form hidden because it has
  category id
  [ichim-david refs #119396]
* Bug fix: fix dashboard chart selection from form tabbing within Asessments
  [ichim-david refs #119015]
* Feature: added floated right class for the floating of related content on the
  right side
  [ichim-david refs #111968]
* Change: related items are now redesigned on entire site not just in the
  redesign theme
  [ichim-david refs #117296]

26.8 - (2020-06-25)
---------------------------
* Feature: Float related content besides content area links when that link has
  the special style class applied 
  [ichim-david refs #117296]

26.7 - (2020-06-23)
---------------------------
* Bug fix: avoid clipping of content-header-body border and background color
  when there is no description
  [ichim-david refs #118767]
* Bug fix: avoid pdf export overlap with language icon by making pdf small size
  on entire website
  [ichim-david refs #117295]

26.6 - (2020-06-22)
---------------------------
* Bug fix: avoid clipping of content-header-body border and background color
  when there is no description
  [ichim-david refs #118767]
* Change: links within boxes now have an underline
  [ichim-david refs #118767]
* Bug fix: show portal-column-two on non view pages for article redesign
  [ichim-david refs #119040]
* Change: ensure photoAlbumEntryTitle doesn't spill over expired wrapper
  [ichim-david refs #117295]

26.5 - (2020-06-19)
---------------------------
* Change: redesigned Footer metadata and related content
  [ichim-david refs #117295]
* Bug fix: increase max-height of photoAlbumEntryTitle in order to avoid clipping
  the title when it spans over 3 rows
  [ichim-david refs #118582]
* Bug fix: pdf print fixes for lists and box title margins
  [ichim-david refs #118582]
* Bug fix: topics title should only appear on view template
  [ichim-david refs #118582]
* Bug fix: fixed language change popup selection
  [ichim-david refs #118582]

26.4 - (2020-06-05)
---------------------------
* Feature: added redesign_theme.css enabled for mini_header portal_types which
  right now are Highlights, Fiche and Article
  [ichim-david refs #117294]
* Change: moved new styling into scss files added as components
  [ichim-david refs #117294]
* Upgrade Step: within "Plone > Site setup > Add-ons" click on upgrade button
  available for eea.design
  [ichim-david refs #117294]
* Upgrade Step: run /www/@@migrate-design-elements
  [ichim-david refs #117294]

26.3 - (2020-06-02)
---------------------------
* Bug fix: fixed download filename for certain files.
  [alecghica refs #117683]

26.2 - (2020-05-25)
---------------------------
* Change: re-added the "Advanced search" link under search pop-up.
  [alecghica refs #118094]

26.1 - (2020-04-23)
---------------------------
* Bugfix: calendar_formfield.js update hidden input now sets date as given by
  plone datefield widget instead of using iso date format
  [ichim-david refs #106898]

26.0 - (2020-04-23)
---------------------------
* Change: Develop #106898
  [alecghica]

25.9 - (2020-04-07)
---------------------------
* Change: frontpage megatopics consolidation with themes_view markup
  [ichim-david refs #116016]

25.8 - (2020-03-16)
---------------------------
* Change: removed mark_special_link functionality from our codebase
  [ichim-david refs #115646]
* Change: use search apps site instead of search_form for rel search link
  [ichim-david]

25.7 - (2020-03-03)
---------------------------
* Upgrade step: within "Plone > Site setup > Add-ons" click on upgrade button
  available for eea.design
  [ichim-david refs #105112]
* Change: added jquery.js with version 3.4.1 and jquery migrate 3.1
  [ichim-david refs #105112]

25.6 - (2020-02-20)
---------------------------
* Change: briefing new style background image now goes over content header
  [ichim-david refs #111968]
* Change: add fancybox and video watermark for themes promoted tiles
  [ichim-david refs #113969]
* Change: removed the Google Plus reference
  [alecghica]

25.5 - (2020-01-17)
---------------------------
* Change: removed google search also for non english queries
  [ichim-david Refs #111371]

25.4 - (2020-01-10)
---------------------------
* Change: added moreLink css back to critical.css since it's used in many places
  [ichim-david refs #111967]

25.4 - (2020-01-08)
---------------------------
* Change: updated countries-and-regions template to point at Czechia
  [alecghica refs #112524]

25.3 - (2020-01-07)
---------------------------
* Change: use again original eea logo within portal-logo
  [ichim-david refs #111967]
* Bug fix: avoid adding hashchange when transforming tabs to accordion
  [ichim-david refs #111967]
* Change: improve storytelling image positioning when landscape&portrait are
  side-by-side
  [ichim-david refs #111967]

25.2 - (2019-12-13)
---------------------------
* Bug fix: fixed text overflow of fullwidth content area for mobile
  [ichim-david refs #111964]
* Bug fix: fixed cover image for pdf rendering
  [ichim-david refs #111964]
* Feature: added image copyright to document byline
  [ichim-david refs #111964]

25.1 - (2019-12-09)
---------------------------
* Bug fix: Register custom ICalendarPortlet only if plone.app.event not present
  [avoinea]
* Bug fix: fixed button and tinymce table issues after latest round
  of design changes
  [ichim-david refs #110041]

25.0 - (2019-11-26)
---------------------------
* Upgrade step: within "Plone > Site setup > Add-ons" click on upgrade button
  available for eea.design
  [ichim-david refs #110784]
* Change: added eea-theme-critical.css with critical styling for new header
  [ichim-david refs #110784]
* Change: re-added mini header logic which will be used for the fiche and highlight
  newdesign
  [ichim-david refs #110784]

24.9 - (2019-10-30)
---------------------------
* Bug fix: googlecharts tables again act as table-rows instead of table in order
  for them to hit 100% width
  [ichim-david refs #108723]
* Change: removed the <base> tag
  [alecghica refs #106535]
* Feature: updated auto-completion for top right input search to use the correct term
  [razvanMiu refs #109084]

24.8 - (2019-08-16)
---------------------------
* Bug fix: frontpage megatopics, featured articles and whatsnewgallery responsive
  design fixes
  [ichim-david refs #106884]

24.7 - (2019-08-14)
---------------------------
* Change: Added override for plone.app.workflowmanager and some style changes
  [iulianpetchesi refs #103756]
* Change: load lazy images when using faceted navigation and when printing
  [ichim-david refs #106884]

24.6 - (2019-08-09)
------------------------
* Bug fix: Optimized @@historyview workflowHistory userInfo access
  [avoinea refs #108173]
* Bug fix: Fixed @@historyview memory leak via getUserInfo
  [avoinea refs #108173]
* Patch: Patched @@historyview workflowHistory
  [avoinea refs #108173]
* Patch: Patched @@historyview getUserInfo
  [avoinea refs #108173]

24.5 - (2019-07-30)
---------------------
* Change: updated Czechia country name under "Countries" section
  [alecghica refs #106742]

24.4 - (2019-07-16)
---------------------
* Change: Updated Czechia country name
  [iulianpetchesi refs #106742]
* Change: Updated North Macedonia country name
  [iulianpetchesi refs #106742]

24.3 - (2019-05-29)
---------------------
* Change: modified search auto tags to cache only for 1h from 24h as requested
  in ticket feedback
  [ichim-david refs #104467]
* Upgrade step: within "Plone > Site setup > Add-ons" click on upgrade button
  available for eea.design
  [avoinea refs #104872]
* Change: Move Sentry JS integration to dedicated eea.sentry package
  [avoinea refs #104872]
* Change: wording on CaR view.
  [alecghica refs #98680]

24.2 - (2019-05-20)
---------------------
* Change: load raven from skin folder instead of browserview directory making
  it easier to bundle for template service
  [ichim-david refs #105453]
* Change: added fixes from custom for galleryview and
  lazy loading of gallery images
  [ichim-david refs #104101]
* Change: jslint fixes
  [alecghica refs #105453]

24.1 - (2019-03-29)
---------------------
* Bugfix: added overlay and popupform code needed for manage rules pages
  [ichim-david refs #102965]

24.0 - (2019-03-20)
---------------------
* Bugfix: When using the global search from the header, don't display the
  expired results
  [szabozo0 refs #103858]

23.9 - (2019-02-21)
---------------------
* Feature: updated name for "North Macedonia"
  [alecghica refs #102810]

23.8 - (2019-02-01)
---------------------
* Upgrade step: within "Plone > Site setup > Add-ons" click on upgrade button
  available for eea.design
  [ichim-david refs #101692]
* Bug fix: fixed control panel pages overlay actions
  [ichim-david refs #101692]

23.7 - (2019-01-28)
---------------------
* Jenkins: Add sonarqube step
  [avoinea refs #101552]

23.6 - (2019-01-23)
---------------------
* Change: added translate_edit class along with css fixes for translation edit
  [ichim-david refs #101427]

23.5 - (2019-01-21)
---------------------
* Cleanup: removed unused CSS files regarding IE fixes.
  [alecghica refs #100041]
* Feature: added a "Follow us on Linked In" button on the "Follow us" portlet on the homepage
  [alecghica refs #100041]
* Change: changed the order of the buttons on the "Share with others".
  [alecghica refs #100041]

23.4 - (2019-01-11)
---------------------
* Feature: load Google open fonts from our servers
  [alecghica refs #101210]

23.3 - (2018-12-28)
---------------------
* Feature: removed Google Analytics tracking code
  [alecghica refs #100969]

23.2 - (2018-12-24)
---------------------
* Feature: added qrcode generation using PIL qrcode library
  instead of Google charts
  [ichim-david refs #100875]

23.1 - (2018-12-17)
---------------------
* Feature: added tracking of search.apps.eea.europa.eu with matomo analytics
  [ichim-david refs #100780]
* Feature: added tracking of semantic.eea.europa.eu with matomo analytics
  [ichim-david refs #100762]
* Feature: added tracking of eunis.eea.europa.eu with matomo analytics
  [ichim-david refs #100758]
* Change: read siteId matomo id from html data-siteid attribute if found on html tag.
  This way external sites can send the analytics to the right site id such as community
  [ichim-david refs #100763]

23.0 - (2018-12-10)
---------------------
* Change: Fix release 22.9 [avoinea]

22.9 - (2018-12-10)
---------------------
* Bug fix: fixed extract_portal_type call from design.js for non eea websites
  such as eunis
  [ichim-david refs #100506]

22.8 - (2018-11-23)
---------------------
* Bug fix: Fixed PDF header for Fiche content-type
  [avoinea refs #100179]

22.7 - (2018-10-03)
---------------------
* Change: Persist custom main_template
  [avoinea refs #98857]
* Feature: Added support for Matomo downloads
  [avoinea refs #98864]
* Feature: Added support for Matomo analytics events
  [avoinea refs #98857]
* Bug: Added description about fancybox in design_element.pt
  [szabozo0 refs #98070]

22.6 - (2018-09-27)
---------------------
* Upgrade step: Cleanup portal_skins/custom and portal_view_customizations
  [avoinea refs #98922]
* Bug fix: Fix HTTPS Mixed-Content on search form
  [avoinea refs #98922]
* Bug fix: Add CORS support for eea-custom-search.js
  [avoinea refs #98922]

22.5 - (2018-09-25)
---------------------
* Bug fix: Fix EUNIS does not display correctly in IE
  [avoinea refs #98476]

22.4 - (2018-09-13)
---------------------
* Feature: Custom search auto-complete
  [avoinea refs #98554]
* Change: Replaced EEA Google Custom Search with EEA Global Catalog Search
  [avoinea refs #98369]
* Change: Persist custom check_pdf
  [avoinea]

22.3 - (2018-09-04)
---------------------
* Bug fix: Fix HTTP status code for items with no workflow assigned
  [avoinea refs #98045]

22.2 - (2018-08-30)
---------------------
* Bug fix: Fixed PDF generator with short title
  [avoinea refs #97618]

22.1 - (2018-08-27)
---------------------
* Bug fix: Fix embeded charts width within PDF
  [avoinea refs #97586]
* Change: Get base-url from body data `base-url`
  [avoinea refs #97843]

22.0 - (2018-08-23)
---------------------
* Bug fix: fixed mark external link for HTTPS
  [alecghica refs #97535]
* Bug fix: removed eea.eu.int checks and references
  [alecghica refs #97535]
* Bug fix: fixed how "mark external link" JS detect language over HTTPS
  [alecghica refs #97535]
* Bug fix: relative links are now marked with HTTPS instead of HTTP
  [alecghica refs #97535]

21.9 - (2018-08-21)
---------------------
* Bug fix: Don't try to load lazy images when it is disabled
  [szabozo0 refs #97516]

21.8 - (2018-08-17)
---------------------
* Change: fixed the usage of BeautifulSoup
  [alecghica refs #96974]
* Change: cleanup overrides.zcml
  [alecghica refs #97573]
* Change: cleanup obsolete patches and overrides
  [alecghica refs #97573]
* Change: code updated for patches and overrides
  [alecghica refs #97573]
* Bug fix: fixed templates display title for Folder
  [alecghica refs #97573]

21.7 - (2018-07-31)
-------------------
* Change: Upgrade raven.min.js to 3.26.4 from 3.22.1
  [avoinea refs #97474]
* Change: Serve raven.min.js from our server
  [avoinea refs #97474]

21.6 - (2018-07-31)
---------------------
* Upgrade step: within "Plone > Site setup > Add-ons" click on upgrade button
  available for eea.design
  [avoinea refs #97399]
* Bug fix: EIONET users can't see comments from last year
  [avoinea refs #97399]

21.5 - (2018-07-26)
---------------------
* Bug fix: TypeError: The object does not support the property or method "includes"
  [avoinea refs #97397]

21.4 - (2018-07-25)
---------------------
* Bug fix: Cannot read property 'split' of undefined
  [avoinea refs #97383]

21.3 - (2018-07-24)
---------------------
* Bug fix: TypeError: Cannot read property 'Title' of undefined
  [szabozo0 refs #97097]

21.2 - (2018-07-18)
---------------------
* Bug fix: NameError: <class 'exceptions.NameError'>
  [avoinea refs #97224]

21.1 - (2018-07-13)
---------------------
* Bug fix: fixed at_view script errors:
  "PDF viewer empty as anonymous, AttributeError: getFile" and
  "You are not allowed to access 'Unauthorized' in this context"
  [avoinea refs #96987]

21.0 - (2018-07-06)
---------------------
* Bug fix: added url escape on social media buttons
  [alecghica refs #96991]

20.9 - (2018-06-27)
---------------------
* Bug fix: fixed image display in PDF export
  [alecghica refs #96589]

20.8 - (2018-06-20)
---------------------
* Change: updated URLs pointing to eea.europa.eu with https://
  [alecghica refs #95849]
* Feature: serve google open fonts via our servers
  [alecghica refs #95849]
* Change: documented the upgraded of Font Awesome from v4.4.0 to v4.7.0
  [alecghica refs #95849]

20.7 - (2018-06-19)
---------------------
* Feature: updated eea.design.socialmedia viewlet
  [alecghica refs #95341]

20.6 - (2018-06-15)
---------------------
* Feature: created eea.design.socialmedia viewlet
  [alecghica refs #95341]
* Change: cleanup due to eea.socialmedia refactoring
  [alecghica refs #95341]

20.5 - (2018-06-12)
---------------------
* Feature: Support private SENTRY_DSN
  [avoinea refs #95646]
* Change: Send JS tracebacks to own sentry
  [avoinea refs #95646]

20.4 - (2018-06-04)
---------------------
* Bug fix: send js tracebacks to Sentry
  [avoinea refs #95646]
* Bug fix: AttributeError: checkPermission
  [avoinea]
* Bug fix: fixed redirect param values
  [alecghica refs #95891]
* Feature: merged files from custom
  [alecghica refs #95891]

20.3 - (2018-05-25)
------------------------
* Bug fix: fixed the PDF viewer rendering error in IE
  [alecghica refs #95568]

20.2 - (2018-05-23)
------------------------
* Bug fix: fixed PDF layout for charts within Indicators
  [avoinea refs #95542]
* Change: made the invalidate cache link from footer
  available only for editors.
  [alecghica refs #95020]

20.1 - (2018-05-10)
------------------------
* Feature: create a special handler for the ILinkedDataHomepage
  to present a carousel of "latest news"
  [ichim-david refs #94557]
* Change: replaced the old public method to invalidate cache.
  [alecghica refs #95020]

20.0 - (2018-05-07)
---------------------
* Change: marked certain resources to be ignored by "PageSpeed Insights"
  [alecghica refs #88414]

19.9 - (2018-05-04)
---------------------
* Bug fix: Fix main_template 'content_core_only' conditions that had as
  side-effect a white blank page on delete_confirmation and
  possible more actions
  [avoinea refs #94724]

19.8 - (2018-04-30)
---------------------
* Upgrade step: Added upgrade step that re-enables the caching tooltip in the
  controlpanel
  [petchesi-iulian refs #90589]
* Change: Modified the custom caching_controlpanel template in order to remove
  the gzip option, changed the requests chunk sizes to 64kb, changed the request
  from HEAD to GET for filename query
  [petchesi-iulian refs #94520]
* Change: Enabled range requests for pdf loading, disabled autofetch/stream and
  requests cahing for pdf viewer
  [petchesi-iulian refs #94520]

19.7 - (2018-04-25)
---------------------
* Bug fix: Fix upgrade info within EEA Site footer sorting
  [avoinea refs #94818]

19.5 - (2018-04-17)
------------------------
* Bug fix: fixed css issues tracked by ticket especially on IE11
  [ichim-david refs #94477]
* Change: added css fixes after Google changes done to inline search
  [ichim-david refs #94825]

19.4 - (2018-04-12)
-------------------
* Feature: added skip_lazy class that can be added on images
  that we do not want to be lazy loaded since some js logic
  might require to have images loaded
  [ichim-david refs #94172]
* Bug fix: fixed frontpage megatopics when viewing within IE11
  [ichim-david refs #94440]

19.3 - (2018-04-02)
-------------------
* Bug fix: Exit fullscreen on button click
  [petchesi-iulian refs #90589]
* Bug fix: Added pdf rotation error fallback
  [petchesi-iulian refs #90589]
* Feature: Enabled the pdf viewer functionalities in the fullscreen view mode,
  removed zoom options, removed pdf viewer print button, modified pdf
  full/normal view styling
  [petchesi-iulian refs #90589]
* Upgrade step: Added upgrade step in order to load the pdf viewer for 'Report'
  portal type
  [petchesi-iulian refs #90589]
* Pre-upgrade step: Add EEA_KGS_VERSION Site annotation (optional)
  [avoinea refs #94179]
* Feature: Improved upgrade info in footer
  [avoinea refs #94179]
* Bug fix: disabled lazy loading of iframe content until we better test it.
  Within eea.googlecharts some code was trying to read the src which was
  modified by the lazy loading
  [ichim-david refs #94351]

19.2 - (2018-03-20)
-------------------
* Feature: Add EEA KGS version and uptime info within Site footer
  [avoinea refs #93946]
* Change: pdf fixes after css and js cleanup
  [ichim-david refs #91577]

19.1 - (2018-03-13)
-------------------
* Change: ploneCustom.css is now empty to be used for quickfixes, the logic
  that was there is now moved to eea-theme.css. See cleanup of js and css from
  to_190 profile
  [ichim-david refs #91590]
* Change: removed bootstrap.css and js, we only needed it for navigation hiding
  for which the needed css was copied to our theme
  [ichim-david refs #91590]
* Feature: move js to bottom and optimize portal_javascript resources for less
  initial load js bundle size
  [ichim-david refs #91577]
* Feature: inlined critical css while also cleaning up some of the overrides
  from plonetheme.sunburst
  [ichim-david refs #91590]

19.0 - (2018-02-23)
-------------------
* Bug fix: Modified z-index of the pdf toolbar so that it doesn't overlap
  with other elements
  [petchesi-iulian refs #92661]
* Bug fix: Fixed 'cannot convert undefined or null to object' error caused
  by lazy loading
  [petchesi-iulian refs #91575]
* Change: Changed the image dimensions for faceted lazy loading
  [petchesi-iulian refs #91575]
* Change: Persist eea-responsive.js from portal_skins/custom
  [avoinea refs #92868]

18.9 - (2018-02-19)
-------------------
* Upgrade step: within "Plone > Site setup > Add-ons" click on upgrade button
  available for eea.design, the upgrade enables the lazy loading javascript
  [petchesi-iulian refs #88420, #91575]
* Feature: Implemented lazy loading fixes
  [petchesi-iulian refs #88420, #91575]

18.8 - (2018-02-14)
-------------------
* Change: Custom theme for ftw.globalstatusmessage
  [avoinea refs #92245]

18.7 - (2018-02-08)
-------------------
* Upgrade step: within "Plone > Site setup > Add-ons" click on upgrade button
  available for eea.design
  [petchesi-iulian refs #92742]
* Change: Bump version in order to merge to master
  [petchesi-iulian refs #92742]
* Bug fix: Don't load the pdf viewer for files with mimetypes different than
  the one for pdfs
  [petchesi-iulian refs #92742]

18.6 - (2018-02-08)
-------------------
* Change: Hide breadcrumbs for mobiles.
  [demarant refs #92756]
* Change: Hide pdf viewer for mobiles.
  [demarant refs #92756]

18.5 - (2018-01-29)
-------------------
* Feature: Added pdf viewer for the 'File' content type
  [petchesi-iulian refs #89523]
* Upgrade step: Added upgrade step in order to load the pdf viewer dependencies
  [petchesi-iulian refs #89523]

18.4 - (2017-12-20)
-------------------
* Update raven.js version
  [valipod refs #91552]
* Change: updated styles and javascripts with changes from custom
  [ichim-david refs #90180]

18.3 - (2017-12-12)
-------------------
* Change: Replace eeacms/zptlint with eeacms/plone-test:4 zptlint
  [avoinea refs #90415]
* Change: remove unused css from eea-design css files
  [petchesi-iulian refs #88382]
* Change: use pdflogo-web.png if we are on english website when we reference
  the eea logo used for the portal logo as performance tools were complaining
  about the original image being too large
  [ichim-david refs #88482]
* Upgrade step: within "Plone > Site setup > Add-ons" click on upgrade button
  available for eea.design (BEFORE eea.facetednavigation upgrade)
  [avoinea refs #89955]
* Change: experiment with the loading position of raven (sentry)
  to reduce error noise
  [dumitval refs #88817]
* Feature: Give content the css class=archived-content if it is expired
  useful for watermarks.
  [demarant refs #87958]
* Change: remove css transform on 1024px and less for network menu as it
  clips text on IOS devices
  [ichim-david refs #89889]
* Bug fix: fixed JS error on IE11 / Windows 7 affecting the reply button
  on Community portal
  [alecghica refs #90112]
* Change: Implemented jquery lazy image loading + upgrade step for adding the
  js dependencies
  [petchesi-iulian refs #88420]
* Change: car_index.pt merged from /custom
  [alecghica refs #89967]
* Change: updated main_template.pt to use context instead of here
  [alecghica refs #89902]

18.2 - (2017-11-20)
-------------------
* Bug fix: removed static dimensions for image thumbs added within
  folder_summary_view
  [ichim-david refs #90072]
* Change: Make archive message more visible.
  [demarant refs #87958]
* Change: merged changes from /custom
  [alecghica refs #89754]
* Change: More responsive modifications for topics + an automatic height
  adjuster only for screens between 480 <> 769 px
  [petchesi-iulian refs #89096]
* Change: Removed height adjusting javascript and moved to a flex layout
  implementation for the topics
  [petchesi-iulian refs #89096]
* Change: Changed the height attribute of the frontpage topics to auto and
  added javascript for automatic height adjustment
  [petchesi-iulian refs #89096]
* Bug fix: fixed mini header and mobile view globalnav
  [ichim-david refs #89889]

18.1 - (2017-11-14)
-------------------
* Bugfix: production/staging/devel differentiation for sentry
  [valipod refs #88817]
* Change: Reduced the height of the megatopics area on the frontpage
  [petchesi-iulian refs #89096]
* Change: Override sunburst_styles/forms.css
  [refs #88692]

18.0 - (2017-11-07)
-------------------
* Bug fix: fixed issues reported by Jenkins
  [alecghica refs #88692]
* Feature: Implement different Sentry DSN for production, staging and devel
  [valipod refs #88817]
* Change: pre tag now uses gray bg with black text also on presentationl styles
  [ichim-david refs #88297]
* Change: updated goto comments message
  [alecghica refs #88692]
* Feature: Improved responsive design in max-width: 768px
  for GIS applications
  [demarant refs #89398]
* Upgrade step: change all occurences of:
    #login_form to .login_form
    #login-forgotten-password to .login-forgotten-password
    #login-form to .login-form
  in portal_skins/custom/ploneCustom.css
  [valipod: refs #86595]
* Upgrade step: customise /portal_skins/sunburst_styles/forms.css and
  change all occerences of #login-form to .login-form
  [valipod: refs #86595]
* Bug fix: fixes for website errors (http://nibbler.silktide.com)
  [valipod: refs #86595]
* Bug fix: update glossary URL in site header to local plone directory
  [demarant refs #89241]
* Feature: Add Sentry for javascript
  [valipod: refs #88817]
* Change: Merged Marine into Water topic
  [demarant refs #88361]
* Bug fix: fixed mini header network position
  [ichim-david refs #88567]
* Bug fix: fixed secondary globalnav position on ipad resolution
  [ichim-david refs #88567]

17.9 - (2017-09-29)
-------------------
* Change: center europe portal_tab content
  [ichim-david refs #88567]

17.8 - (2017-09-26)
-------------------
* Change: renamed countries_regions_sections template to car-index as requested
  [ichim-david refs #88150]
* Bug fix: patch calendar_formfield.js in order to escape the '|' character
  on form submit for the calendar widget
  [petchesi-iulian refs #87706]
* Change: updated Map.svg from /custom
  [alecghica refs #88122]
* Upgrade step: update the following object's geotags, should be updated from "Marine Artic Ocean" into "Marine Arctic Ocean"
    - https://www.eea.europa.eu/data-and-maps/indicators/sea-level-rise-4
    - https://www.eea.europa.eu/data-and-maps/indicators/status-of-marine-fish-stocks-2
    - https://www.eea.europa.eu/data-and-maps/indicators/sea-level-rise-2
    - [alecghica refs #87706]

17.7 - (2017-09-15)
-------------------
* Feature: Added expired.png watermark image
  [petchesi-iulian refs #87529]
* Change: Update link to release history in colophon.
  [demarant]
* Feature: added countries_regions_section page
  [ichim-david and aleghica refs #88122]

17.6 - (2017-09-11)
-------------------
* Upgrade step: within "Plone > Site setup > Add-ons" click on upgrade button
  available for eea.design
  [ichim-david refs #87691]
* Bug fix: remove empty featured datasets portlet from data-and-maps view
  [demarant refs #87862]
* Bug fix: make interactive data portlet use display correct type
  instead of just datasets
  [demarant refs #87868]
* Feature: show infographics portlet in data and maps
  [demarant refs #87868]

17.5 - (2017-08-29)
-------------------
* Bug fix: return 404 status instead of redirecting to listing_not_available
  [valipod refs #86594]
* Change: updated portlet_social_links from /custom
  [alecghica refs #86989]
* Upgrade step: remove portlet_social_links from /custom
  [alecghica refs #86989]

17.4 - (2017-08-22)
-------------------
* Bug fix: Hot fix, bug still present on prod after previous fix
  [zoltan_andras refs #82714]

17.3 - (2017-08-16)
-------------------
* Change: added IP Anonymization to google analytics
  [zoltan_andras refs #86256]
* Bug fix: amend patch for form_tabbing.js in order to avoid value
  error when submiting form with fieldset that contained several
  words such as Daviz. Plone adds - while the original value is space
  [ichim-david refs #86915]
* Bug fix: patch form_tabbing.js in order to avoid value
  error when submiting form which changes fieldset value
  [ichim-david refs #86786]
* Change: move edit input within error field
  [ichim-david refs #86620]
* Bug fix: W3C compliance modifications
  [valipod refs #86295]
* Upgrade step: Remove customized views at **ZMI > portal_skins/custom:
  eea-globaltabs.css, frontpage_view.pt, portlet_subscribe.pt
  [valipod refs #86295]

17.2 - (2017-06-26)
-------------------
* Change: remove contact EEA staff from contact us.
  [demarant]

17.1 - (2017-05-29)
-------------------
* Change: disable move of table before key facts for airs section that is not
  2016
  [ichim-david refs #84900]

17.0 - (2017-05-22)
-------------------
* Feature: call eea_dates within main_template in order to have publishing date
  rendered for every pdf
  [ichim-david refs #83520]
* Change: fixed PyLint warnings and errors
  [valipod refs #84949]

16.9 - (2017-05-15)
-------------------
* Change: fixed PyLint warnings and errors
  [eduard-fironda refs #84949]

16.8 - (2017-05-08)
-------------------
* Bug fix: fixed parameters of search_rss when links are generated under @@search
  [alecghica refs #84554]

16.7 - (2017-04-24)
-------------------
* Change: updated package information
  [eduard-fironda]

16.6 - (2017-04-19)
-------------------
* Change: rdfexport calculates now only fields with readability statistics
  enabled
  [ichim-david refs #82316]

16.5 - (2017-04-14)
-------------------
* Feature: expose reading time info as data within document byline if enabled
  for given context
  [ichim-david refs #82316]

16.4 - (2017-04-04)
-------------------
* Bug fix: fixed z-index issues for portal-header, google search and pdf
  download
  [ichim-david refs #83615]
* Change: removed search customization for cms, use same template with the
  common layer
  [ichim-david refs #83823]

16.3 - (2017-03-20)
-------------------
* Change: anonymous users now search through google custom search
  and logged in users have access to glossary and eeasearch links
  [ichim-david]
* Bug fix: tables with class invisible are now visible again
  [ichim-david refs #81310]
* Bug fix: fixed portalMessage background color now that lightGrayBackground
  is set to white
  [ichim-david]
* Upgrade step: Remove customized views at **ZMI > portal_view_customizations**
  [avoinea refs #83106]
* Bug fix: Fix language redirect within glossary-search
  [avoinea refs #83106]
* Bug fix: Fix UnicodeEncodeError: 'ascii' within glossary-search
  [avoinea refs #83106]
* Cleanup: fixed pylint warnings
  [alecghica refs #82561]

16.2 - (2017-03-03)
-------------------
* Bug fix: Fix `NameError: secureUrl` within login_form
  [avoinea refs #82562]

16.1 - (2017-03-02)
-------------------
* Change: Define glossary-search action for global search viewlet
  [avoinea refs #82562]
* Bug fix: Get resources over https
  [avoinea refs #82562]
* Bug fix: Remove hard-coded images path domain on frontpage
  [avoinea refs #82562]
* Bug fix: hide socialmedia-viewlet on print in order to avoid
  QFont::setPixelSize: Pixel size <= 0 wkhtmltopdf errors
  [ichim-david refs #80861]
* Change: added new topic on front page
  [alecghica refs #82604]

16.0 - (2017-02-14)
-------------------
* Cleanup: Remove unused frontpage method `_getTeaserMedia`
  [voineali refs #80119]
* Feature: geotags, temporal coverage and themes display
  alligned with tags style
  [alecghica refs #81054]

15.9 - (2017-01-30)
-------------------
* Bug fix: updated broken links in contact us.
  [demarant refs #81118]

15.8 - (2016-12-19)
-------------------
* Bug fix: fixed search results when b_start is empty or contains
  a non int value
  [ichim-david refs #75388]
* Change: updated themes list on frontpage_view.pt
  [alecghica refs #79941]

15.7 - (2016-12-05)
-------------------
* Change: move table above keyfacts for Fiche on airs section for
  when printing folders
  [ichim-david refs #75505]
* Change: move table above keyfacts for Fiche on airs section
  [ichim-david refs #75505]

15.6 - (2016-11-28)
-------------------
* Bug fix: avoid having the text so large that the accordion icon
  goes below next title
  [ichim-david refs #77943]

15.5 - (2016-11-21)
-------------------
* Change: cleanup JS for older versions display
  [alecghica refs #76194]

15.4 - (2016-10-31)
-------------------
* Change: fix EPA network link and phased out PBE
  [demarant refs #75904 and #78048]

15.3 - (2016-10-14)
-------------------
* Change: disable anchor plugin on print
  [ichim-david refs #77476]

15.2 - (2016-10-10)
-------------------
* Change: incresed refresh time for manage-job-queue
  [alecghica refs #75566]

15.1 - (2016-10-03)
-------------------
* Bug fix: take into consideration that eea-toc exclude data
  might not be found
  [ichim-david refs #77243]

15.0 - (2016-09-13)
-------------------
* Bug fix: fixed position of filtering on whatsnew-gallery
  [ichim-david refs #76202]
* Bug fix: fixed display of globalnav popup
  [ichim-david refs #76202]
* Feature: fixed exclude from table of contents
  [catalin refs #74583]
* Bug fix: fixed whatsnewgallery from not showing on non english pages
  [ichim-david refs #75989]
* Bug fix: fix language selection tooltip
  [ichim-david refs #75503]
* Bug fix: Remove http/https mixed content on login_form
  [catalin refs #74910]

14.9 - (2016-09-05)
-------------------
* Bug fix: Airs Briefings now display the first table above the fiche-summary
  regardless of their position in the fiche-body
  [ichim-david refs #75465]
* Bug fix: removed eea.cache caching for fullscreen and mini-header setting
  use memoize instead which will cache it only for the request
  [ichim-david]
* Change: added fixes from custom regarding latest styling changes concerning
  the mini header and the soer integration
  [ichim-david refs #75139]
* Change: globalnav siteactions should have the title when hovered
  [ichim-david refs #72862]

14.8 - (2016-08-29)
-------------------
* Upgrade step: remove base_properties from custom or add padding-base key with
  1.5em value
  [ichim-david refs #71710]
* Feature: added soer colors on all site sections
  [ichim-david refs #71710]
* Feature: added mini_header functionality which can be enabled per content type
  from www/@@eea-miniheader-controlpanel
  [ichim-david refs #72862]

14.7 - (2016-08-17)
-------------------
* Feature: New portlet for videos on the frontpage: portlet_promo_gallery added
  to frontpage_view template.
  [chiridra refs #74485]
* Change: modified thematic listing on fronptage_view as requested in ticket
  [ichim-david refs #75044]
* Bug fix: show description of whatsnewgallery for each page that uses it
  [ichim-david refs #74970]
* Change: modified thematic listing on fronptage_view as requested in ticket
  [ichim-david refs #74969]
* Bug fix: fixed document-byline for manage-viewlets as we can't access IVersions
  from this page
  [ichim-david refs #74889]
* Feature: close the popup login when you click outside; when it opens the focus is
  now on the "Login Name"; when you are on the login page, if you click on the
  "Login Name" the focus will be there
  [catalin refs #73488]

14.6 - (2016-08-03)
-------------------
* Change: added code from custom along with responsive design fixes for megatopics
  [ichim-david refs #72171]
* Bug fix: screen media added to content-core object
  [lucas refs #73106]

14.5 - (2016-07-07)
-------------------
* Change: Pin eea.facetednavigation < 10.0
  [avoinea]
* Bug fix: reintroduced ability to specify more_hrefs for whatsnewgallery
  as dc page of thematic was pointing to the links of the data-and-maps
  [ichim-david refs #73701]
* Change: introduce results4AllProducts option which if given to the
  frontpage_properties we will get results for each product otherwise
  we will get the latest results even if we have more than one product
  ex: news,News,( results4AllProducts Highlight PressRelease ),hide_album,highlights
  will show both highlight and PressRelease while:
  news,News,( Highlight PressRelease ),hide_album,highlights
  will show the latest objects which could be either product
  [ichim-david refs #73576]

14.4 - (2016-06-16)
-------------------
* Feature: added ability to set tabs from frontpage_properties
  [ichim-david refs #71699]
* Change: whatsnewgallery now transforms into an accordion on mobile views
  [ichim-david refs #71699]
* Bug fix: When folder_accordion_view is used, and
  hideOtherResultsFromAccordionView is set, display all accordions and
  hide the pagination
  [szabozo0 refs #72959]
* Change: added workflow state class on the album view of whatsnewgallery
  [ichim-david refs #72908]

14.3 - (2016-06-02)
-------------------
* Change: brought changes from production back into eea.design for
  frontpage_view and frontpage_macros.pt
  [ichim-david refs #72908]
* Feature: added getProduct methods to frontpage in order to allow
  each individual product both for english and for translations to have
  separate query range
  [ichim-david refs #72908]

14.2 - (2016-05-27)
-------------------
* Change: whatsnewgallery now loose the tabbing functionality, we now
  display all results, keeping only the filtering
  [ichimdav refs #71699]
* Bug fix: Double icon displayed
  [lucas refs #71634]

14.1 - (2016-05-19)
-------------------
* Change: modified avoidMultipleClicks in order to preserve the initial
  eea-icon and eea-icon-x size, this way we can use something other than
  eea-icon-3x
  [ichimdav refs #70717]
* Bug fix: Fix pylint warnings
  [chiridra refs #71940]
* Feature: Improve breadcrumb design
  [lucas refs #71260]
* Upgrade step: within "Plone > Site setup > Add-ons" click on upgrade button
  available for eea.design
  [lucas refs #71260]
* Bug fix: Text added in the DaViz Comment field can not be seen
  [lucas refs #71595]

14.0 - (2016-05-05)
-------------------
* Change: folder_summary_view now shows the item type by default
  [ichim-david]
* Feature: added folder_listing_thumb_view which is folder_summary_view
  without item description
  [ichim-david]
* Feature: added global id version info viewlet info within documentByLine
  [ichim-david refs #70786]
* Change: documentByLine is now splitted by dashes instead of commas
  [ichim-david refs #70786]
* Change: moved getCodes info from eea.indicators into documentByLine
  [ichim-david refs #70786]
* Change: global filter for document register.
  [demarant refs #50513]
* Bug fix: Update eea.translations with the latest translation strings -
  fixed errors in templates
  [chiridra refs #69753]
* Bug fix: fix user and groups popup -
  updated the userandgroupselect_popup template
  [chiridra refs #71467]
* Feature: html body field for daviz and gis application
    - added new field "body"
    - modified the view template
    - [chiridra refs #70146]

13.9 - (2016-04-18)
-------------------
* Bug fix: show reply to comment button
  [demarant refs #70675]
* Change: airs Briefings now display the first table above the fiche-summary
  [ichimdav]
* Change: consolidated eea_flexible_tooltip into a single function called
  for each tooltip type as well as in other places where we want to
  add tooltips after page load
  [ichimdav refs #69487]

13.8 - (2016-03-15)
-------------------
* Bug fix: queryEffectiveRange now takes into consideration that we might
  not have the effectiveDateMonthsAgo attribute set on the context such
  as when called from the featured article porlet
  [ichimdav refs #70430]

13.7 - (2016-03-14)
-------------------
* Feature: added ability to restrict frontpage query results based on
  a date range, default being 18 months ago
  [ichimdav refs #68663]
* Feature: translation pages of frontpage now show also Infographics
  [ichimdav refs #68663]
* Feature: folder_listing and folder_summary_view can now show or hide
  description and item type
  [ichimdav refs #68663]
* Change: removed tab logic of frontpage when visiting it's translations,
  now we load all products directly given low number of content
  [ichimdav refs #68663]
* Bug fix: removed filter added on frontpage results regarding the return of
  objects that are no older than 1 year. This work is still being finalized
  in a branch.
  [ichimdav]

13.6 - (2016-03-01)
-------------------
* Bug fix: fixed loading of relation tabs when we have a whatsnewgallery
  such as in the case of themes
  [ichimdav refs #70069]
* Change: GisApplication now span the entire screen width
  [ichimdav refs #68250]
* Change: check if underscore is found within eea-responsive.js as we might
  not load it when served by Products.EEATemplateService
  [ichimdav]
* Change: removed tags cloud from data and maps
  [demarant refs #50515]

13.5 - (2016-02-15)
-------------------
* Change: Plone error and warning classes is now styled like the warningMessage
  and errorMessage class from presentational_styles.css
  [ichimdav refs #17334]
* Change: modified tabbmenu styling in order to take into consideration
  that the tab links can be wrapped with spans because of mark_special_links.js
  [ichimdav]
* Bug fix: fixed position of google_buttons_bar by moving them to the
  documentExternalActions
  [ichimdav refs #69065]
* Feature: Sparql history diff now defaults to code diff
  [ichimdav refs #17334]
* Bug fix: do not show the search box when printing the "Data and maps" main
  page; use 'em' for font size, instead of 'px'
  [danielm refs #50515]
* Change: cleanup tabs from source code
  [ghicaale refs #50515]
* Bug fix: added padding to entire custom tooltip on DaViz
  [lucas refs #68200]

13.4 - (2016-02-03)
-------------------
* Bug fix: fix the size of the search input box (make it bigger) on the "Data
  and maps" main page
  [danielm refs #50515]
* Task: Improve DaViz Filter design/display
  [chiridra refs #31309]

13.3 - (2016-01-07)
-------------------
* Change: add border top and bottom on indicators-figure-plus figure titles
  as seen on manually made pdfs
  [ichimdav refs #30473]
* Change: avoid page breaking within listing and googlecharts td
  [ichimdav refs #30473]

13.2 - (2016-01-04)
-------------------
* Bug fix: fix labels turned into display inline-block by boostrap as it messes
  positioning of inputs plus labels within edit forms
  [ichimdav refs #31065]

13.1 - (2015-12-07)
-------------------
* Bug fix: restore compression of anchor.js - last comments removed
  [lucas refs #30824]
* Bug fix: added jq.applyanchor.js and move it to bottom of plone_javascripts
  [lucas refs #30824]
* Upgrade step: within "Plone > Site setup > Add-ons" click on upgrade button
  available for eea.design
  [lucas refs #30824]
* Bug fix: remove compression from anchor.js to resolve error in production
  [lucas refs #30396]

13.0 - (2015-11-16)
-------------------
* Change: Upgrade Google analytics to Universal Analytics
  [chiridra refs #18653]
* Bug fix: fix clipping of keyFactsMessages within soer2015 frontpage
  [ichimdav refs #30333]
* Bug fix: fix soer2015 Fiche portal-column-content position
  [ichimdav refs #30333]
* Bug fix: show two rows of photoAlbumEntry on IPhone portrait
  [ichimdav refs #30333]
* Feature: Automatically add anchor to headings via anchor.js
  [lucas refs #30396]
* Upgrade step: within "Plone > Site setup > Add-ons" click on upgrade button
  available for eea.design
  [lucas refs #30396]
* Bug fix: removed condition to not load slide.js functionality on mobile view
  since the script is used by the language selection while anonymous and there
  is no alternative selection of language currently
  [ichimdav refs #30080]

12.9 - (2015-11-03)
-------------------
* Bug fix: on mobile devices, the language selector is positioned below the main
  title; the title takes the full screen width
  [danielm refs #30080]
* Upgrade step: within "Plone > Site setup > Add-ons" click on upgrade button
  available for eea.design
  [ichimdav refs #29865]
* Feature: added jquery.mobile with swipe effect for faceted navigation
  widgets panel
  [ichimdav refs #29865]
* Bug fix: add rules in ploneCustom.css to display link icons in sparql view
  [danielm refs #29992]
* Change: indicators-figure images now have a max height in order to fit
  EEAFigure images and sources as such as possible on a single page
  [ichimdav refs #29335]

12.8 - (2015-10-22)
-------------------
* Bug fix: add tabs styles from authoring.css to eea-base in order to avoid
  missing styles for indicators tables and charts tabs
  [ichimdav refs #29898]
* Bug fix: add fix for jquery-annotator erratum-quote max-height being too
  small within bootstrap_fixes.css
  [ichimdav]
* Bug fix: Fix eea-tabs-panel spilling over the content area
  [ichimdav refs #28967]
* Bug fix: Fix batch_macros for Topic faceted navigable with atct_album_view
  [voineali refs #29349]
* Bug fix: fix whatsnew_gallery tab switching
  [ichimdav refs #29401]
* Upgrade step: Re-apply uprade step of eea.design 12.4 from portal_setup
  [ichimdav refs #28729]
* Bug fix: fix hiding of elements that used visualHidden class
  [ichimdav refs #29372]
* Bug Fix: Fix error on atct_topic_view
  [lucas refs #29348]

12.7 - (2015-10-05)
-------------------
* Change: removed leftover css and javascript while documenting use and
  dependencies of existing javascripts from eea.design
  [ichimdav refs #27220]
* Change: removed override of Batch template and browserView which fails with
  newer versions of Plone that uses plone.batching
  [ichimdav refs #28747]
* Bug fix: Fixed Unauthorized exception on getObjSize script
  [voineali refs #28731]

12.6 - (2015-09-10)
-------------------
* Change: increased the refresh interval for async queue overview
  from 5sec to 30sec
  [chiridra refs #28222]
* Bug fix: rendering of plone.portaltop in eea.cross_site_top fails: __getslice__
  [lucas refs #28286]

12.5 - (2015-08-18)
-------------------
* Bug fix: fixed issue with z-index for ui-dialog used by slickgrid
  [ichimdav refs #27889]
* Bug fix: fixed frontpage and theme pages styles when printing
  [ichimdav refs #27958]
* Bug fix: fixed portal-admin-msg eea-icon placement seen on
  global-status-message
  [ichimdav]
* Feature: set page with and size dimensions of page used by the Google Chrome
  print engine, this allows us to have with the print preview an aproximation
  of the output done with the wkhtmltopdf
  [ichimdav refs #27883]
* Bug fix: hide iframes which have video links since wkhtmltopdf can't display
  the video tag
  [ichimdav refs #27537]
* Bug fix: fixed organisation styling after addition of bootstrap
  [ichimdav refs #27840]
* Bug fix: fixed some issues with soer and soer2015 found while testing the pdf
  export
  [ichimdav refs #27537]
* Feature: tabs now turn into accordions on mobile and viceversa
  [ichimdav and lucas refs #27215]
* Bug fix: various fixes to community styles as well as eea.europa.eu after
  addition of bootstrap.css
  [ichimdav refs #27537]
* Feature: faceted navigation is now responsive, we hide the columns
  to the right and transform the filters into accordions
  [ichimdav refs #27214]
* Upgrade step: within "Plone > Site setup > Add-ons" click on upgrade button
  available for eea.design
  [lucas refs #26903]

12.4 - (2015-07-28)
-------------------
* Bug fix: fixed header showing and hiding on the IPad
  [ichimdav]
* Bug fix: fixed whatsnewgallery error when no filter topic was present
  [ichimdav]
* Bug fix: fix related items for print pdf
  [lucas refs #27484]
* Change: hid login_form info from print and pdf output
  [ichimdav refs #27516]
* Bug fix: force visual-portal-wrapper to have a margin top in order to always
  display the content which would otherwise be hidden by the header and it's logo
  [ichimdav refs #27508]
* Bug fix: hid viewlet-cookiepolicy and popup_login_form from print
  [ichimdav refs #27511]
* Bug fix: fixed column position for Briefings on mobile devices, avoiding column
  hiding this way
  [ichimdav refs #27507]
* Bug fix: jquery dialogs need to have an z-index bigger than 1030 in order
  to avoid having popups hidden by the navbar
  [ichimdav refs #27501]
* Bug fix: added print fixes to bootstrap_fixes.css needed since it broke the
  pdf output
  [ichimdav refs #27437]
* Bug fix: Fixed document_byline for items without copyright info
  [voineali refs #26848]

12.3 - (2015-07-09)
-------------------
* Cleanup: move metatypes_* properties into configlet
  [lucas refs #26855]
* Bug fix: added a space on the search icons in order to avoid having the
  spans as an inline tag which in some cases end up covering adjacent tags
  [ichimdav refs #27280]
* Feature: show copyright in title attribute on album_view
  [lucas refs #26855]
* Upgrade step: add a configlet to select which content type must show copyright
  [lucas refs #26855]

12.2 - (2015-07-06)
-------------------
* Feature: header and footer is now responsive as well as the frontpage,
  datamaps_view, dc_view and soer2015_frontpage
  [ichimdav refs #26378]
* Change: cleaned ecotip logic from eea.design, therefore
  removing unnecessary code from loading, saving bytes for mobile views
  [ichimdav refs #26378]
* Bug fix: Adding done and fail callbasks to function displayMessage from
  /eea/design/skins/eeadesign_js/outdated_browser.js
  [malduvit refs #26644]
* Bug fix: fixed externalTemplate error from design.js which used readCookie
  without checking for it's existance
  [ichimdav refs #26892]
* Bug fix: fixed survey_message error when template isn't available
  [ichimdav refs #26746]
* Upgrade step: within "Plone > Site setup > Add-ons" click on upgrade button
  available for eea.design
  [ichimdav refswithin "Plone > Site setup > Add-ons" click on upgrade button
  available for eea.design #25986]
* Feature: added customized bootstrap styles which can be enabled per sections
  in order to take advantage of it's responsive design styles
  [ichimdav refs #25986]
* Cleanup: removed getHigh, getMedium, getLow, getMediumArticles, getLowArticles
  as we only display getHighArticles, the rest have been deprecated for a long time
  [ichimdav refs #24986]
* Cleanup: removed highArticles macro fron datamaps_macro.pt since datamaps_view
  no longer displays any high articles
  [ichimdav refs #24986]
* Cleanup: removed highArticles macro fron datamaps_macro.pt since datamaps_view
  no longer displays any high articles
  [ichimdav refs #24986]
* Cleanup: removed spotlight_film_macros and spotlight_film_macros_soer since
  they are long gone from the frontpage
  [ichimdav refs #24986]
* Cleanup: cleaned frontpage.css, eea-authoring.css of rules that were no longer
  found on site
  [ichimdav refs #25986]
* Bug: cirrect url for ETC/ULS.
  [demarant refs #25415]

12.1 - (2015-06-04)
-------------------
* Change: Update Update of the EEA website - ETCs
  [voineali refs #25415]

12.0 - (2015-06-03)
-------------------
* Change: release new egg
  [ghicaale refs #25722]

11.9 - (2015-06-02)
-------------------
* Change: disabled survey_message by passing a tal replace nothing
  since the survey time is over
  [ichimdav refs #26057]
* Bug fix: survey_message is not hidden when serving print stylesheets
  [ichimdav refs #25563]

11.8 - (2015-05-15)
-------------------
* Change: readded survey_message and logic back to eea.design now that we
  have another survey to promote
  [ichimdav refs #24873]
* Change: fixed the clipping on file tracking urls and added a check to
  track files only from eea.europa.eu
  [ichimdav refs #23277]

11.7 - (2015-05-05)
-------------------
* Change: cleaned print.css of indicators metadata-switch css logic
  [ichimdav refs #24440]

11.6 - (2015-04-02)
-------------------
* Change: soer_fronpage keyFacts now display only the KeyMessage Content type
  [ichimdav refs #24410]
* Bug fix: sections should check if language is available in order to avoid
  getting the en_icon for sections where no language is available such as in
  the case of controlpanel
  [ichimdav]
* Bug fix: readded comment tag for the css rule that enabled the draft image
  [ichimdav refs #24177]
* Bug fix: removed enableAutoFocus from the styling that added margin-left since
  the edit form constains this class therefore rendering the content with wrong
  margin
  [ichimdav refs #24158]
* Feature: added google analytics tracking of download.pdf and download.epub
  [ichimdav refs #23277]
* Change; cleaned mark_special_links.js
  [ichimdav refs #23277]
* Change: updated portal-globalnav styling in order to better fit the content
  on mobile devices
  [ichimdav refs #24032]

11.5 - (2015-03-17)
-------------------
* Bug fix: changed size of secondary sections of portal-globalnav in order to
  avoid the section from being hidden on verbose languages like lt, el and fi
  [ichimdav refs #24032]
* Change: updated ga.js to use the async version code snippet given by google
  which improves our tracking capabilities. One fix that this new code brings
  is the logging of the reports pdf downloads for both anonymous and logged in
  users
  [ichimdav refs #23277]
* Change: removed padding from portal-column-content since it wasn't necessary
  and we need to customize it within soer
  [ichimdav refs #23944]
* Cleanup: Removed "Global promotions" portlet references
  [voineali refs #23725]
* Change: login form data is not aligned left from the default plone center
  alignment
  [ichimdav refs #23500]
* Change: Switched to curl in the jenkins build install script
  [olimpiurob refs #22402]
* Change: Changed fetch url for jenkins build install script to the install
  script from the main EEA CPB repository
  [olimpiurob refs #22402]
* Bug fix: fixed error on main_template when view an un-published content
  [ghicaale refs #23724]
* Change: Added archiveMessage and modified portalMessage in order to contain
  the light background instead of the light blue
  [ichimdav refs #23017]
* Change: cleaned IE9fixes of most of the rules since they were no longer valid
  [ichimdav refs #23607]
* Change: Updated default_error_message to show PDF/ePub in progress even if the
  async worker is down or busy
  [voineali refs #23411]
* Change: modified margin left of portalMessage icons when
  inside portal-column-two since the available space is less
  [ichimdav refs #23500]
* Change: fixed input, portal-searchbox and site width for
  mobile and especially webkit based browsers
  [ichimdav refs #23500]
* Change: fixed daviz buttons background.
  [demarant refs #23500]
* Change: removed unnecessary skeuomorphism.
  [demarant refs #23500]
* Change: removed hardcoded height for better
  and more flexible vertical alignment.
  [demarant refs #23500]
* Change: normal weight for europe tab as the text is smaller.
  [demarant refs #23500]
* Bug fix: fixed issues described in ticket description regarding
  the new design
  [ichimdav refs #23500]
* Change: use standard link colors for document actions icons.
  [demarant refs #23500]

11.4 - (2015-02-27)
-------------------
* Change: modified header footer and corporateGreen color to follow new
  design
  [ichimdav refs #23211]
* Bug fix: check only if pdf. is found within the request since we have
  have real pdfs uploaded within the site which triggered the isPrint
  condition
  [ichimdav refs #23477]
* Change: merged qrbox.pt from custom
  [voineali]
* Change: merged ploneCustom.css from custom
  [ghicaale refs #23271]

11.3 - (2015-02-26)
-------------------
* Bug fix: Fixed ePub download popup font size
  [voineali]
* Bug fix: Fixed missing object_title within main_template
  [voineali]
* Change: Persist custom CSS within ploneCustom.css
  [voineali]

11.2 - (2015-02-25)
-------------------
* Bug fix: correctly display anchor links within listing headers when using
  url navigation
  [ichimdav refs #23408]
* Change: reference eea-spriteimages only from portalRoot within eea.design css
  [ichimdav refs #23276]
* Bug fix: removed header links padding right which indented the headers
  inconsistently
  [ichimdav refs #23407]
* Feature: added logo.png as a higher resolution eea white logo on a transparent
  background
  [ichimdav refs #23324]
* Change: Fix default_error_message to display missing or in progress
  PDF/ePub related messages accordingly. Removed hard-coded **PDF**
  [voineali refs #23244]
* Change: documentExportActions are now floated instead of positioned absolute
  in order to avoid situations where the icons overlap content below it when
  documentbyline constains fewer items
  [ichimdav refs #23265]
* Change: conditioned most of the blocks that had ajax_load condition to also
  check for print since print doesn't use any of those blocks. This speeds up
  rendering and greatly reduces filesize of outputed html
  [ichimdav refs #23090]
* Change: removed doctype when printing pdf in order to avoid display quirks
  with nested spans, images and br tags within paragraphs
  [ichimdav refs #23090]
* Change: updated visual.css with latest changes found within custom
  [ichimdav refs #23150]
* Change: normalized background color and padding of documentbyline portalType
  [ichimdav refs #23150]
* Change: added body print class to body tag and isPrint declaration to
  main_template rules if pdf is found within the request url
  [ichimdav refs #23090]
* Change: readded rule that sets the max-width to 100 percent for content images
  in order to avoid images from spanning over the width of the content area such
  as the epub view or the fiche view
  [ichimdav refs #23150]
* Change: added skip_relations condition for rendering the portal relations
  [ichimdav refs #23090]
* Bug fix: Fixed login_form from giving a getSlice error when template
  was called from default_error_message
  [ichimdav refs #23090]

11.1 - (2015-02-16)
-------------------
* Upgrade step: Remove portal_skins / custom / ploneCustom.css
  [voineali refs #22969]
* Feature: Also avoid multiple clicks within **export actions** viewlet
  [voineali refs #22969]
* Bug fix: Also show document_byline to anonymous users based on site_properties
  [voineali refs #22686]
* Change: Do not merge print.css in order to easily reuse it within epub export
  [voineali refs #22686]
* Feature: Added presentation mode action to export_actions category
  [voineali refs #22686]

11.0 - (2015-02-03)
-------------------
* Feature: Added "export actions" viewlet bellow content title in order to easily
  insert action with high visibility like download as PDF
  [voineali refs #22686]
* Change: cleaned pl_document_related.pt of feeds and pages macros
  since they are no longer found within document_relateditems.pt
  This avoids a relatedItems viewlet error
  [ichimdav refs #22604]

10.9 - (2014-12-23)
-------------------
* Change: added basic style for figures
  [demarant, ichimdav refs #21882]
* Bug fix: Show goto_comments message only when comments are enabled
  [voineali refs demarant]
* Feature: added figureContainer class to presentation_styles.css used by
  the figures title and image div which can be added as an TinyMCE style
  [ichimdav refs #21882]
* Change: removed float clearing for h tags within print.css in order to avoid
  clearing floats when not expected. If clearing is expected a div with
  clearFloats can be added
  [ichimdav refs #22212]
* Bug fix: Fixed frontpage_macros to work with Chameleon
  [voineali refs #21919]
* Bug fix: Fixed main_template to work with Chameleon
  [voineali refs #21919]

10.8 - (2014-11-20)
-------------------
* Bug fix: Patched unlockOnFormUnload.js to stop calling refresh_lock via AJAX
  if the user's auth cookie expired or an error occurred
  [voineali refs #21857]
* Bug fix: harmonise table style on web and print.
  [demarant fixes #21009]
* Change: set font size to 9pt for printing from web and PDF.
  [demarant fixes #21455 and refs #20690]
* Bug fix: fixed CSS for locked icon displayed under plone.belowcontenttitle.documentbyline viewlet
  [ghicaale refs #21457]
* Feature: timeout dialog is now aware of ajax calls which modify the object
  [ghicaale refs #21457]
* Bug fix: fixed timeout dialog to be aware of DaViz ajax calls
  [ghicaale refs #21457]

10.7 - (2014-10-15)
-------------------
* Bug fix: Speedup History overlay within plone.app.viewlet by removing expensive
  check "isUpToDate"
  [voineali refs #21254]
* Bug fix: hide certain elements from print.
  [demarant]
* Feature: Use google Open Sans as primary font. Use fontFamily variable
  in css.
  [demarant fixes #20690]
* Change: removed FontAwesome declaration from presentation_styles.css
  now that we have eea-icons.css
  [ichimdav refs 21149]
* Bug fix: Fix Font-Awesome icons within PDFs generated with wkhtmltopdf
  [voineali refs #21149]
* Bug fix: fixed 404 message for PDF download when context is not published.
  [ghicaale refs #21253]
* Feature: hidden the "Events" from the top banner.
  [ghicaale refs #21123]
* Upgrade step: under /www/portal_actions/site_actions/manage_main delete
  the action with id "events"
  [ghicaale refs #21123]
* Bug fix: fixed atct_albumentry to display Disscusion Items
  [ghicaale]

10.6 - (2014-10-01)
-------------------
* Change: no longer show the restore dialog if the modification date of object
  is greater than that of the form restore data
  [ichimdav refs #21127]
* Change: rememberstate no longer saves the DavizVisualization contenttype
  [ichimdav refs #21127]
* Change: modified wording of info message letting the user know that the form
  has been modified between the time of the restoration date and now for the
  eea-rememberstate plugin
  [ichimdav]
* Bug fix: fixed the display of the date of restoration date by display it
  from the Date object instead of cutting off values from the date string
  for the eea-rememberstate plugin
  [ichimdav]
* Bug fix: only save form input when the save button is clicked within
  eea-rememberstate since cancel triggers the form submit event
  [ichimdav]
* Feature: added custom 404 message for PDF download in-progress
  [ghicaale refs #20972]

10.5 - (2014-09-15)
-------------------
* Bug fix: fixed extension identification for links with arguments
  [pasoviul refs #19537]
* Bug fix: fixed PDF/print line-height altered by sup/sub tags
  [demarant refs #20996]
* Bug fix: fixed design issues regarding box sizes within portal-column-two
  [ichimdav refs #20873]
* Feature: Avoid multiple clicks within document actions (download as PDF, etc.)
  [voineali refs #20842]
* Feature: added custom 404 message for PDF download
  [ghicaale refs #20972]

10.4 - (2014-08-27)
-------------------
* Upgrade step: within "Plone > Site setup > Add-ons" click on upgrade button
  available for eea.design
  [ichimdav refs #20302]
* Feature: added jquery-rememberstate and eea-rememberstate jquery plugins
  which saves the edit form data on submit and prompts the user to restore
  the data in case of a failure
  [ichimdav refs #20302]

10.3 - (2014-08-27)
-------------------
* Change: moved button style position to inside for region-content ul and
  removed border from tinymce image classes
  [ichimdav]

10.2 - (2014-08-12)
-------------------
* Change: subfolder folder_contents now display content excluded from navigation
  [ichimdav refs #20124]
* Change: fullscreen button help text now spans over entire button
  [ichimdav refs #20461]
* Change: added styling for noPageBreak on TinyMCE body
  [ichimdav 20461]
* Pre-upgrade step: The upgrade step for eea.design should be the first thing
  that needs to be done as soon as the instances are restarted to avoid
  having missing or broken styles.
  Use www8 instance to run upgrade from www/portal_setup/manage_upgrades
  [ichimdav refs #17336]
* Change: Add space after ul within #content-core
  [voineali refs #20457]
* Change: reorganized resources within skins folders
  [ichimdav refs #17336]
* Bug fix: fixed checkpermission import under folder_listing.pt
  [ghicaale]
* Feature: timeout dialog will appear after 15 minutes if the document is not saved.
  [ghicaale refs #20389]
* Change: removed state "closed" from the list of states marked with "draft" background
  [ghicaale refs #20490]
* Feature: added "draft" watermark for all non-final-published states
  [ghicaale refs #18538]
* Feature: blocked collective.deletepermission profile not to be installed
  (by mistake) via site setup
  [ghicaale refs #17478]
* Change: removed block_ldapuserfolder_profile.js as I registered new
  handlers to block un-wanted profiles
  [ghicaale refs #17478]
* Upgrade step: under /www/portal_javascripts/manage_jsForm remove block_ldapuserfolder_profile.js
  [ghicaale refs #17478]

10.1 - (2014-07-16)
-------------------
* Feature: show inactive content in folder_listing if user
  has 'Access inactive portal content' permission.
  [ghicaale refs #17865]

10.0 - (2014-07-15)
-------------------
* Feature: allow editor to exclude page parts from PDF generation via
  a special style in tinymce.
  Upgrade step: Plone > Site setup > TinyMCE >
  In styles add line "Exclude from PDFspanexcludeFromPDF"
  [demarant #20255]
* Bug fix: fixed icons placement for icons of soer2015 section navigation
  [ichimdav refs #19875]
* Bug fix: Hide QR Box viewlet by default also in print mode.
  [voineali refs #20267]

9.9 - (2014-06-30)
------------------
* Change: made diff tool more clear to authors by hiding tags diffs.
  [demarant #17702]
* Change: removed important declaration for print.css for content making it
  easier to have different width containers
  [ichimdav refs #19880]
* Change: Copied check_id.py and check_id.py.metadata from eea.soercontent
  in order to fix permissions
  [voineali refs #20010]

9.8 - (2014-06-10)
------------------
* Feature: Added QR Box viewlet at the bottom of the content. Right now it's
  hidden from CSS and it can be enabled via custom CSS rules
  [voineali refs #19959]
* Change: removed short_colophon login since multimedia_view is no longer applied
  on site and the pdf output was complaining about getLayout call when using the
  main_template macros
  [ichimdav refs #19880]

9.7 - (2014-06-06)
------------------
* Feature: added eea-accordion-title-manual-icons class to the accordion logic
  to be used instead of eea-accordion-title class when we need to have different
  icons instead of the default ones provided by the accordion styles
  [ichimdav refs #19875]
* Change: Moved PDF export adapters and option makers as to eea.pdf
  [voineali refs #19882]
* Change: cleaned keyfacts-slider css implementation
  [ichimdav refs #19536]
* Change: navigation submenu is hidden if there are less than 2 of them since
  the new navigation design doesn't contain then at all.
  [ichimdav refs #19536]
* Change: updated portal navigation style based on the new design of soer2015
  [ichimdav refs #19536]
* Change: removed styles that were applied on selectors that are too agressive
  within eea-base.css, ploneCustom.css or eea-public.css.
  This way other styles can apply new styles instead of having to do overrides.
  See ticket for the exact changesets
  [ichimdav refs #19536]
* Change: last-child class is now applied through javascript to all eea-tabs not
  just those from the whatsnewgallery
  [ichimdav refs #19536]

9.6 - (2014-05-19)
------------------
* Change: EEA Tabs no longer detaches the tabs when performing it's tabs logic
  [ichimdav refs #19536]
* Feature: EEA Tabs will now load panel content with ajax requests if eea-tabs-ajax
  class is present
  [ichimdav refs #19536]
* Fix: make sure item is locked on edit page load
  [batradav refs #19405]

9.5 - (2014-05-13)
------------------
* Change: hiddenStructure class now has an important declaration set to the
  display property in order to avoid being overriden by specificity
  [ichimdav refs #19369]
* Feature: folder_accordion_view now checks for a 'hideOtherResultsFromAccordionView'
  property which is present and is True will hide the other results section
  [ichimdav refs #19335]
* Change: relatedItems no longer has float issues if javascript is disabled or
  the tabs logic isn't executed because of a javascript error
  [ichimdav refs #19315]
* Feature: SEO, link EEA content with G+ publisher markup.
* Feature: Accordion default open panels by adding CSS class 'current'. Also
  support multiple open-by-default panels for non-exclusive accordions
  [voineali refs #19056]
* Feature: Added robots meta tag in <head> to disallow search
  engines to index "public draft" states (visible only with direct link).
  [demarant fixes #19091]
* Bug fix: Allow titles within PDF cover export longer than 65 chars (one line)
  [voineali refs #18953]
* Bug fix: Removed eea_vpip.js as it is obsolete and was in conflict with
  googlechart filters
  [szabozo0 refs #19174]
* Feature: Use high resolution SVG for daviz charts embed within PDF export
  instead of PNG
  [voineali refs #18910]
* Upgrade step: within "Plone > Site setup > Add-ons" click on upgrade button
  available for eea.design
  [olimpiurob refs #18641]
* Change: Removed tinymce plugins from this package. Moved to eea.tinymce
  package
  [olimpiurob refs #18641]
* Change: eea fullscreen plugin no longer uses the bundled fullscreen plugin
  which has many issues given the fact that it inserts a new editor when using
  it
  [ichimdav refs #19082]
* Bug fix: Key Facts class is now correctly applied on the parent ul tag
  [ichimdav refs #18785]
* Bug fix: Do not show old versions promo, only display the latest published
  version of promoted objects.
  [olimpiurob refs #18918]
* Feature: improved print css and pdf css. More discreet related items.
  removed floating on generic callout in pdf.
  [demarant refs #18639]
* Upgrade step: Cleanup portal_skins and portal_view_customizations
  marked with eea.design 9.5
  [voineali refs #18987]
* Feature: Update documentByLine look and feel
  [voineali refs #18987]
* Bug fix: Fixed Daviz chart image raw embed within PDF export
  [voineali refs #18910]
* Change: increased the size of the TinyMCE mceListBox
  [ichimdav refs #18785]
* Feature: documented not sortable table unde design elements
  [ghicaale refs #18942]

9.4 - (2014-03-20)
------------------
* Feature: Update document by line viewlet with more info about the authors and
  contributors
  [voineali refs #18987]

9.3 - (2014-03-10)
------------------
* Bug fix: fixed length of the shows characters to 250 and added effectivedate
  [mironovi refs #18430]
* Bug fix: Fixed navigation tabs CSS
  [popesval refs #18728]
* Bug fix: Fixed callout float right not working in PDF
  [voineali refs #18639]
* Bug fix: use user-friendly content type on PDF cover.
  removed issn (not needed).
  [demarant refs #18539]
* Bug fix: Avoid multiple html tags within pdf.cover, pdf.body
  [voineali refs #18552]
* Change: updated print.css stylesheet to work with wkhtmltopdf 0.12
  [voineali refs #18550]
* Change: updated print.css stylesheet with rules from plonetheme.sunburst theme
  [ichimdav refs #18539]
* Bug fix: Use open-source version of "Palatino Linotype" font "TeX Gyre Pagella"
  [voineali refs #17717]
* Change: styled page breaks in the same way as presentational breaks within
  TinyMCE in order to better spot them
  [ichimdav refs #18539]
* Feature: improved PDF generation.
  avoid page break inside images.
  avoid page break just after headings.
  [demarant refs #18539]
* Bug fix: fixed slides from showing up on Windows when using Chrome which
  contained youtube iframes
  [ichimdav refs #18518]
* Change: Update presentation_styles to include blockquote, keyFact, callout and
  pullquote
  [olimpiurob refs #18425]
* Upgrade step: Moved box styles into a separate css file. Added to presentation
  template.
  [olimpiurob refs #18425]
* Feature: added tabbedmenu css classes to be available via EEA Template Service.
  Design element page updated.
  [ghicaale refs #16978]

9.2 - (2014-02-13)
------------------
* Change: updated design elements documentation with
  callouts and keyfacts. Improved order and other minor tweaks.
  [demarant]
* Bug fix: fixed TinyMCE popup zoom issue within Chrome browser
  [ichimdav refs #18352]
* Upgrade step: Within "Plone > Site setup > Add-ons" click on
  upgrade button available for eea.design
  [ichimdav refs #18223]
* Feature: eeatogglefullscreen now has an option within tinymce controlpanel
  which assigns the contenttypes that enter fullscreen when clicking on the
  TinyMCE text fields
  [ichimdav fixes #18195]
* Feature: added TinyMCE eeatogglefullscreen plugin which exits fullscreen
  when clicking outside the editor area
  [ichimdav refs #18223]
* Bug fix: resizing the window on fullscreen no longer displays the content
  outside of the TinyMCE fullscreen div
  [ichimdav refs #18223]
* Bug fix: Hide the span languageCodes in the themes-tags.
  [prospchr refs #17807]

9.1 - (2014-02-03)
------------------
* Bug fix: improved presentation mode. removed authorname. cover image now
  fits in first slide.
  [demarant refs #16916]
* Bug fix: Properly closed comment in difftool styling
  [olimpiurob refs #17702]
* [DONE] Upgrade step: from www/portal_tinymce/@@tinymce-controlpanel:
    - Run it only after upgrading eea.design through the automatic upgrade step
    - Move plonestyle editor plugin to the left select form in order to disable it
    - replace the styles from the layout tab with the list found within the ticket as attachment
    - [ichimdav refs #18180]
* [DONE] Upgrade step: Within "Plone > Site setup > Add-ons" click on
  upgrade button available for eea.design
  [ichimdav #18180]
* Change: removed tiny_mce.js from eea.design, opting to move the fixes directly
  to Products.TinyMCE
  [ichimdav refs #18200]
* Bug fix: preserve TinyMCE width when resizing browser window
  [ichimdav refs #18189]
* Bug fix: avoid page-break-inside portal messages in PDF printing
  [demarant]
* Bug fix: prefix contenttype classes from eea-base in order to override base
  classes
  [ichimdav refs #17959]

9.0 - (2014-01-22)
------------------
* Feature: Improvements to the tinymce fullscreen mode
  center editor since we have a fixed width layout
  [demarant fixes #18086]
* Change: reference the context using only context within main_template instead
  of here
  [ichimdav refs #18064]
* Feature: Make diff tool styling more familiar to users
  [olimpiurob #17702]
* Bug fix: TinyMCE now checks for Range.prototype with Firefox in order to avoid
  missing body text
  [ichimdav refs #17394]
* Bug fix: prefix eea-icon classes when used on accordion so that they may not
  override the icon closses of the accordion body
  [ichimdav refs #17729]
* Change: Added proper css classes to body
  [olimpiurob #17135]
* Bug fix: contain floats within accordion pane classes
  [ichimdav refs #14733]
* Feature: Added possibility to call eea_accordion JS method on specific elements
  [voineali refs #17729]
* Change: Reference search_rss from portal_url/search_rss only
  [ichimdav refs #17812]
* Change: removed search.pt from eeadesign_cms and eeadesign_public
  [ichimdav refs #17812]
* Change: do not check for related content within 404 pages if the link
  was accessing an RSS page since bots can hit many of these pages
  [ichimdav refs #17812]
* Bug fix: fixed portal_vocabulary templates and actions
  [ghicaale refs #17795]
* Upgrade step: Within "Plone > Site setup > Add-ons" click on
  upgrade button available for eea.design
  [ichimdav #17709]
* Change: depend of eea.icons package for the font icons
  [ichimdav refs #17709]
* Bug fix: show FontAwesome icons for the plone warning classes
  [ichimdav refs #17709]
* Change: changed the default markup of icons to use a span from an i tag
  [ichimdav refs #17708]
* Bug fix: added the empty comments within the icons of cross_site_top
  otherwise the i tags close inline and mess up the layout
  [ichimdav refs #17741]
* Bug fix: Fixed archive link on frontpage.
  [prospchr fixes #18047]

8.9 - (2013-12-10)
------------------
* Change: Improved documentByLine, added warning message style
  when javascript not available. Improved display of dates.
* Feature: content type label is now visible in documentByLine.
  Which types NOT to show can be configured in ZMI > portal_properties >
  > metatypes_labeling_blacklist, default to not show on ATFolder.

8.8 - (2013-12-10)
------------------
* Change: be backward compatible and allow to use <i>-style-icon
  in portalMessage. Added icon for "open for comments".
  [demarant refs #17684, #17633]
* Change: put the icons directly on the portalMessage classes in order for
  the icons to appear when editing text with TinyMCE
  [ichimdav refs #17633]
* Change: removed EoE link.
  [demarant fixes #17581]
* Change: Improved documentation, accordion, icons and removed old code.
  [demarant refs #17555]
* Feature: added collapsed-by-default and non-exclusive classes for
  eea-accordion allowing the accordion to have multiple panels open or have
  them all collapsed to start with
  [ichimdav refs #17555]
* Bug fix: customized tiny_mce.js in order to fix Firefox missing content bug
  [ichimdav #17394]
* Change: use font icons for portal top actions. Improve
  documentation of design elements.
  [demarant refs 15235]
* Bug fix: no longer open multiple tabs when clicking on currently opened
  accordion tab
  [ichimdav refs #17631]
* Bug fix: css fix - bad style for pagination in portal_registry
  [simiamih refs #17558]
* Change: use warning triangle for error/warning portal messages
  [demarant refs #16676]
* Change: use info circle for portal messages with class info
  [ghicaale refs #16676]
* Change: removed custom css and js related to XMPP suite
  [ghicaale refs #17513]
* Bug fix: Fix PDF export CSS (hide inline comments,
  temporal coverage and location)
  [voineali]
* Change: cleanup old geo implementation
  [ghicaale refs #9155]
* Change: removed the dependecy to eea.locationwidget
  [ghicaale refs #9155]

8.7 - (2013-11-21)
------------------
* Change: harmonizing box style.
  [demarant refs #16676]

8.6 - (2013-11-21)
------------------
* Change: removed box-shadow and rounded-corners on portlets.
  Fixes double boxes in top banner overlays.
  [demarant refs #16676]
* Feature: added 'Presentation Break' TinyMCE style useful for spliting a slide
  in order to avoid overflow scrolling
  [ichimdav refs #16916]
* Change: css style for date
  [simiamih refs #16781]
* Pre-upgrade step: The upgrade step for eea.design should be the first thing
  that needs to be done as soon as the instances are restarted to avoid
  having missing or broken styles
  [ichimdav refs #15235]
* Feature: Added empty_slide_help_text property to site_properties on
  production which will be used for the empty slide help message
  [ichimdav refs #16879]
* Change: Simplified data and maps frontpage.
  [demarant fixes #16735]
* Upgrade step: Within "Plone > Site setup > Add-ons" click on
  upgrade button available for eea.design
  [ichimdav #15235]
* Feature: added help text to presentation_view for authorised users
  [ichimdav refs #16879]
* Bug fix: Scroll content only inside the slide body for the presentation_view
  [ichimdav refs #16879]
* Bug fix: Removed some style in IE8fixes and IE9fixes for compatibility with
  other changes.
  [prospchr refs #17288]

8.5 - (2013-10-22)
------------------
* Upgrade step: From 'ZMI > portal_css' remove the 'screen css media' entry
  for ploneCustom.css
  [ichimdav refs #15235]
* Bug fix: Added hidden came_from input to login button in comments template,
  this allows proper redirection when logging in from the comments form
  [tiberich #17020]
* Change: Simplified layout for relatedItems for PDF export.
  [demarant refs #17108]
* Upgrade step: Within "Plone > Site setup > Add-ons" click on
  upgrade button available for eea.design
  [ichimdav #17037]
* Feature: Added 'related items' to PDF export
  [voineali refs #17108]
* Feature: Added honeypot to subscribe portlet
  [tiberich #17013]
* Change: added code to eea-admin.js that removes the right column for history
  and version pages
  [ichimdav refs #17037]
* Feature: Added eea-admin.js registered for authenticated users
  [ichimdav refs #17037]
* Change: Set default cover image copyright within PDF export to EEA
  [voineali refs #17009]
* Bug fix: Fixed/added  missing i18n attributes most in pdf cover.
  [prospchr refs #17141]

8.4 - (2013-10-08)
------------------
* Bug fix: fixed duplication of results within the whatsnewgallery
  data-and-maps results
  [ichimdav refs #16994]
* Bug fix: fixed featured images within the portlets of the right column from
  spilling the floated text below them
  [ichimdav refs #16673]
* Bug fix: fixed float issue of relatedItems on themes dc pages
  [ichimdav]

8.3 - (2013-10-07)
------------------
* Change: check if notoc is present instead of strict equal when excluding
  headings from the TOC
  [ichimdav refs #16929]

8.2 - (2013-10-07)
------------------
* Change: removed left column from the promotion gallery on our frontpage
  [ichimdav refs #16738]
* Bug fix: Convert daviz iframes relative urls to absolute urls using
  eea.converter utility method in order to avoid restricted traverse errors
  within PDF export
  [voineali refs #16946]

8.1 - (2013-10-04)
------------------
* Bug fix: fixed loading of whatsnewgallery tabs on data-and-maps pages
  [ichimdav #16914]
* Upgrade step: Install Palatino Linotype and Verdana fonts
  [voineali refs #16802]
* Change: move the last two items from the globalnav within the
  secundary-navigation instead of using harcoded ids
  [ichimdav refs #16878]
* Change: removed check for review state when displaying SOERKeyFacts on themes
  pages
  [ichimdav refs #9476]
* Change: changed style of keyFact in order to diferenciate it from callout
  [ichimdav refs #9476]
* Feature: Added generic PDF cover and PDF print CSS for all EEA content-types
  [voineali refs #14904]
* Bug fix: fixed CSS for IE9 for what's new tabs
  [soniaand refs #16888]

8.0 - (2013-09-23)
------------------
* Change: lowered the font-size of portletHeader from manage pages now that
  the draggable actions are displayed
  [ichimdav fixes #16720]
* Feature: added style for keyFact class
  [ichimdav refs #9476]
* Feature: Improved print.css also used by PDF generators
  [voineali refs #14904]
* Bug fix: fixed login_form redirect after upgrade to Plone 4.3
  [ichimdav #16707]
* Bug fix: fixed css warnings for IE9Fixes.css discovered by Chrome Inspector
  [ichimdav]
* Bug fix: fixed display of input fields and window size of TinyMCE popups
  [ichimdav #16661]
* Feature: presentation mode improvements
  [batradav #16728]

7.9 - (2013-09-06)
------------------
* Change: removed tinymce.xml from eea.design and moved it to
  Products.EEAPloneAdmin since most of the configurations for our packages
  are done in it
  [ichimdav #9476]
* Bug fix: fixed display of whatsnewgallery tabs for IE
  [ichimdav #16633]
* Bug fix: Display no results within folder_listing template
  if folderContents comes form faceted query and it's empty
  [voineali refs #16624]
* Bug fix: use proper class names for accordion panels in order to correctly
  display the accordion arrows
  [ichimdav refs #15237]
* Change: moving Solgema.PortletsManager customisations to forked package
  [batradav refs #15623]

7.8 - (2013-08-28)
------------------
* Change: updated login_form.cpt and login_next.cpy with latest logic from
  Plone
  [ichimdav refs #16291]
* Bug fix: define portal_url within language_selector.pt
  [ichimdav refs #16291]

7.7 - (2013-08-22)
------------------
* Bug fix: no longer reference portal_syndication in templates since we use
  Plone 4.3 now
  [ichimdav refs #15969]

7.6 - (2013-08-19)
------------------
* Feature: display the text for full screen mode within TinyMCE in order to
  make it more obvious what the button does
  [ichimdav refs #14910]
* Upgrade step: Within "Plone > Site setup > Add-ons" click on
  upgrade button available for eea.design
  [ichimdav #14323]
* Change: updated member.css with latest changes from plonetheme.sunburst
  [ichimdav refs #14323]
* Change: moved style customizations from eea-public to eea-portlets.css
  because of changes in plonetheme.sunburst
  [ichimdav refs #14323]
* Change: moved style customizations from eea-public to eea-base.css
  because of changes in plonetheme.sunburst
  [ichimdav refs #14323]
* Change: moved style customizations from eea-public to eea-authoring.css
  because of changes in plonetheme.sunburst
  [ichimdav refs #14323]

7.5 - (2013-08-09)
------------------
* Bug fix: fixed styles issues for TinyMCE from Plone 4.3
  [ichimdav refs #14323]

7.4 - (2013-08-07)
------------------
* Change: use base link instead of link alternative for site link now that
  kss is gone when referncing the base url
  [ichimdav refs #14323]
* Change: removed p4a.video dependency from setup.py
  [ichimdav #15234]
* Change: removed negative margin from video-fancybox since the thumbnails  are
  no longer customized by eea.depiction
  [ichimdav refs #15234]
* Bug fix: Display the  embedded visualizations in plone pages after saving the page
  [szabozo0 refs #15231]
* Change: improved the portal messages style.
  [demarant refs #14910]
* Bug fix: Fixed missing translations tags.
  [prospchr refs #15572]
* Feature: Plone 4.3 compatibility
    - updated Solgema.PortletsManager template customisation
    - removed customised TinyMCE
    - removed eea.rdfrepository dependency
    - [batradav refs #14323]

7.3 - (2013-07-11)
------------------
* Change: adjusted the colors backround of portal messages
  to use EEA corporate colors
  [demarant refs #15235]
* Bug fix: fixed the layout issue of featured boxes where title was
  not properly aligned to the right of the image.
  [demarant]
* Change: removed the eyeonearth link in top bar and related css
  [demarant fixes #14921]

7.2 - (2013-07-08)
------------------
* Feature: updated promo gallery with the enhancements done within the eunis
  project
  [ichimdav]
* Bug fix: fixed contrast of colors for as code diff
  [demarant fixes #14891]
* Bug fix: added missing  logic for TinyMCE regarding Plone Style selection
  classes
  [ichimdav refs #14814]
* Bug fix: display image and play button for cloud videos in album listings
  [ichimdav fixes 14535]
* Bug fix: faceted gives different results as anonymous than as authorised
  [voineali fixes #14841]
* Feature: updated promotion gallery to a newer version which triggers events
  on start and completion of slide
  [ichimdav #14729]
* Change: customized s5_pretty.css in order to use the print EEA Logo for
  presentation view
  [ichimdav #14814]
* Bug fix: enlarged the links inside TinyMCE styles dropdown
  [ichimdav #14814]
* Bug fix: added missing python and css declarations for properly displaying
  images for CloudVideos
  [ichimdav fixes #14762]

7.1 - (2013-06-17)
------------------
* Bug fix: add extra classes for non File videos to avoid image displacement
  [ichimdav refs #14762]
* Bug fix: fixed a potential issue where eea-fitcontainer could have entered
  in a recursion loop
  [ichimdav]
* Change: added better draft watermark for content not in final published state
  [demarant]
* Bug fix: no longer give error when doing HEAD method on a file field and it
  returns 404 not found; This was due to some very ordinary looking code in
  login_form (which is referenced from cross_site_top viewlet)
  [tiberich #9335]
* Feature: documented the addition of extra galleryView galleries and what
  class to use in order to get rid of the filmstrip.
  Also documented the use of inline styles to modify gallery size
  [ichimdav #14606]
* Bug fix: Fixed the facebook flyout. It's not hidden anymore under the
  footer of the page.
  [prospchr fixes #14537]
* Change: /at_download is now redirecting to /download (e.g. /at_download/file and /at_download/image no redirect to /download)
  to simplify the download methods provided by objects and to be better mapped under
  plone.app.caching rules.
  [ghicaale refs #14735]
* Bug fix: fix a issue with login not possible if came_from was not defined
  [tiberich #14085]

7.0 - (2013-05-23)
------------------
* Bug fix: put back wrongfully commented comments viewlet
  [tiberich]
* Bug fix: don't crash when location hash contains characters which shouldn't
  be passed to the jQuery constructor
  [ichimdav #14564]

6.9 - (2013-05-20)
------------------
* Change: added information about change of logic for filterLatestVersion
  because of performace optimization ticket and versions refactoring
  [ichimdav #14008]
* Feature: Added styles from community site of portalMessages and added all
  portalMessages to TinyMCE style selector
  [ichimdav #9499]
* Change: Added info on supported browsers in login macro.
  [demarant closes #9543]
* Feature: show results in other languages for whatsnewgallery if there are no
  results for language of context
  [ichimdav #14322]
* Bug fix: keep pagination numbers centered even when next or previous link
  is missing
  [ichimdav #14371]
* Bug fix: removed wrong condition on outdate browser message.
  now it shows again for both anonymous user and logged in.
  [demarant refs #9543]
* Bug fix: fix compatibility with latest eea.versions
  [tiberich #14008]
* Upgrade step: Within "Plone > Site setup > Add-ons" click on
  upgrade button available for eea.design
  [ichimdav #14365]
* Feature: added eea-fitcontainer.js which is a plugin that can enlarge a set
  of elements to better fit the parent area
  [ichimdav #14365]
* Bug fix: fixed the location name in upcoming events portlet. Now the name is
  properly decoded.
  [prospchr fixes #14394]
* Upgrade step: Add again the events portlet in the highlights section:
  eea.europa.eu/highlights/
  [prospchr refs #14394]
* Bug fix: Removing on-error tag as the bug is invalid.
  [prospchr refs #9544]

6.8 - (2013-04-17)
------------------
* Feature: added language code to the body class in order to have language
  specific fixes
  [ichimdav refs #13830]
* Bug fix: fix redirection to previous page when logging in from the login popup
  [tiberich #14085]
* Bug fix: fix a potential issue with subfolder logic which gave an error when
  no results were found
  [ichimdav]
* Bug fix: override data attribute of Events portlet in order to also display
  QuickEvents
  [ichimdav refs #13816]
* Bug fix: properly display filter menu dropdown when no results are found
  [ichimdav #14229]
* Cleanup: remove search.js override as we upgraded to Plone 4.2.5
  (plone.app.search 1.0.8)
  [voineali refs #14222]
* Cleanup: removed auth cookie expiration from main_template as due to various
  reasons will not work.
  [ghicaale refs #13992]

6.7 - (2013-03-15)
------------------
* Bug Fix: Corrected the address in the colophon.
  [prospchr refs #13770]

6.6 - (2013-03-15)
------------------
* Bug fix: use jQuery to display Events portlet location without tuples
  [ichimdav #13816]
* Bug fix: append pagination div only if the count of the page div is larger
  than the pagination_count
  [ichimdav #13825]
* Bug fix: fixed display of personaltools bar for auth on IE9
  [ichimdav #14082]
* Bug fix: Fixed margin and padding issues for whatsnewgallery and right
  column
  [ichimdav #13825]
* Bug fix: explicitly expire auth cookies when session expires,
  not to stick to anonymous users and confusing Varnish
  [ghicaale refs #13992]
* Bug fix: fixed whitespace differences for right column of frontpage
  [ichimdav #13825]

6.5 - (2013-02-26)
------------------
* Bug fix: remove margin left from row class which is set by twitter bootstrap
  [ichimdav #13825]
* Change: readded left and right arrows with html entities for jQuery
  pagination removed from page template because of translation error
  [ichimdav]
* Change: made the max-width of 130px for the eea-tabs tworows in order for
  more items to fit
  [ichimdav #13884]
* Bug fix: override collective.xmpp.chat images to point to the browser
  resource directory
  [ichimdav #13782]
* Change: reference page_title for the title viewlet in a way that works with
  Plone 4.2.1 and 4.2.4
  [ichimdav #10255]
* Bug fix: add links for tabs in daviz sections for relations
  [ichimdav]
* Change: changed missleading label from "logged-in users" into "online contacts"
  [ghicaale refs #13806]
* Bug fix: corrected missing i18n attributes for translations.
  [prospchr refs #13827]
* Bug fix: fixed z-index issue of chat area with promo gallery
  [ghicaale refs #13824]
* Bug fix: Added domain=eea.notranslation to views that don't need
  translations.
  [prospchr refs #13827]
* Bug fix: Corrected the 'more' link at the end of each key fact on translated
  pages.
  [prospchr fixes #13783]
* Bug fix: Fixed portal-tab menu errors when viewing the site in other
  languages than English.
  [prospchr fixes #13952]

6.4 - (2013-02-05)
------------------
* Change: load portlet_ecotip only in view
  [ichimdav #13677]

6.3 - (2013-01-28)
------------------
* Change: removed right_column from default_error_message since it's loaded
  everytime you get a not found object
  [ichimdav #13677]
* Bug fix: fixed tab menu in SL
  [prospchr #13702]

6.2 - (2013-01-23)
------------------
* Change: add login action to site_actions and hide it from user for login
  slideDown
  [ichimdav #9485]
* Change: adjusted tworows class of eea-tabs to fit more of the tab text
  [ichimdav #13639]
* Bug fix: use jQuery slice method instead of Array splice on a jquery matched
  set to avoid loosing attached event handlers like in the case of
  eea-pagination
  [ichimdav #13639]
* Bug fix: fix double posting of comments
  [tiberich #13644]

6.1 - (2013-01-19)
------------------
* Bug fix: fixed pagination numbering when paginate divs had no paginate count
  [ichimdav #13639]

6.0 - (2013-01-18)
------------------
* Bug fix: fix issue that moved paginated items above relatedItems
  [ichimdav #13639]
* Bug fix: show title and size information for figures albumEntries
  [ichimdav #13639]

5.9 - (2013-01-15)
------------------
* Upgrade step: run the upgrade step for eea.design as last package since it
  moves the order of css and javascript which could be disrupted by other
  upgrades
  [ichimdav #10231]
* Upgrade step: Within "Plone > Site setup > Add-ons" click on
  upgrade button available for eea.design
  [ichimdav #9485 #10182]
* Bug fix: fixed link for video and it's image thumbs on design_elements.pt
  page
  [ichimdav]
* Feature: added jquery pagination plugin to be used when we need to paginate
  listings on clientside with example in design_elements
  [ichimdav #10182]
* Feature: added login_form as a slideDown popup
  [ichimdav #9485]
* Bug fix: reference images and javascripts in ways that can be served when
  we are on https pages like login_form
  [ichimdav #9998]
* Bug fix: updated image urls to use eea.depiction
  [demarant]
* Bug fix: use item/Title instead of item/title_or_id; the problem is that
  item is not a brain but a IContentListingObject adapter and it will fetch
  attributes from the real object in case the brain is missing the called
  attribute; this also should improve performance as it will no longer
  wake up objects
  [tiberich #10160]
* Bug fix: removed column-count css3 rule for FF since buggy implementation
  crashes the browser
  [ichimdav #10125]
* Change: brought changes from production for visual.css and green icon images
  [ichimdav]
* Change: disabled selenium tests, other frameworks will be used for functional
  testing
  [ichimdav]
* Bug Fix: fixed the english icon in the upper menu. Now it appears everytime
  a menu link points to an english page.
  [prospchr fixes #10142]
* Feature: added UI customisations regarding EEA Chat area
  [ghicaale refs #9527]
* Bug Fix: fixed the tab menu in the 'what's new gallery' in all languages.
  [prospchr refs #10157]
* Bug Fix: fixed the enquiry and mobile portlet on the right side.
  [prospchr refs #10157]
* Bug Fix: Fixed missing translations in the comments section on frontpage.
  [prospchr refs #9570]

5.8 - (2012-11-22)
------------------
* Bug fix: fixed over stretching of images for small promo gallery
  [ichimdav #9914]
* Bug fix: fixed atct_topic_view to take account of faceted results and passed
  b_size in order to override batch size when using without faceted
  [ichimdav #7337]
* Bug fix: added an override for userandgroupselect_popup to change label
  for search field to something more clear
  [tiberich #9972]
* Change: use catalog search instead of getFolderContents when searching for
  fallback images like eea.depiction does for folders with frontpage's
  getImageUrl method
  [ichimdav #9232]
* Bug fix: don't show /view twice for folder_summary_view and
  folder_tabular_view
  [ichimdav #5547]
* Feature: added action to enable subfolder navigation bar for templates that
  don't have navigation portlets
  [ichimdav #5545]
* Change: adjusted layout of TOC, no more floating issues.
  [demarant]
* Bug fix: don't prevent event processing on links in portlets management page
  [tiberich #5574]
* Feature: added survey popup
  [ichimdav #5467]
* Feature: display outdated browser message also for non IE browsers
  [ichimdav #5588]
* Bug fix: fixed loading of whatsnewgallery content when clicking on the tabs
  and the page contained /view
  [ichimdav]
* Bug fix: readability issues of accordion headings. discreet color and
  higher contrast.
  [demarant fixes #5535]
* Change: replaced IVideoEnhanced queries for is_video with IVideo from
  mediacentre
  [ichimdav #5480]
* Change: Remove translation centre disclaimer, not valid anymore.
  [demarant fixes #5518]
* Bug fix: removed empty recently_modified.pt template, as the default
  one from Plone will take it over
  [ghicaale fixes #5527]
* Bug fix: check if review_state isn't public when we redirect the anonymous
  user to the listing_not_available template
  [ichimdav #5507]
* Upgrade step: remove eea-smartview.js from ZMI > www > portal_javascripts
  [ichimdav #5463]
* Change: removed smart_view logic from eea.design as it was moved and enhanced
  to eea.uberlisting
  [ichimdav #5463]
* Bug fix: fixed tabs look when the items needed to span on more than one line
  [ichimdav]
* Bug fix: fixed folder_tabs_view for the new eea.uberlisting package
  [ichimdav #5463]
* Bug fix: Don't display portal-personaltools activated menus on fullscreen
  [ichimdav #5509]
* Feature: Added "en" icon close to "multimedia" and "data and maps"
  in portal-top section.
  [prospchr #5235]
* Upgrade step:  from portal_setup > Portal Navigation Manager
  steps by:
  1. Click on EEA Website in any language
  2. Published "multimedia" and "data and maps"
  3. Repeat for all languages
  [prospchr #5235]

5.7 - (2012-08-29)
------------------
* Bug fix: fixed syntax error in MANIFEST.in
  [demarant]

5.6 - (2012-08-29)
------------------
* Feature: added watermark image with css declarations for CloudVideos
  [ichimdav #5480]

5.5 - (2012-08-28)
------------------
* Feature: cleaned up references to ImageFS
  [ghicaale refs #4190]
* Upgrade step: Within "Plone > Site setup > Add-ons" click on
  upgrade button available for eea.design
  [ichimdav #5443 #5407]
* Upgrade step:
  1. www/portal_actions/site_actions/plone_setup > Disable visible state
  2. www/portal_actions/user/plone_setup > Enable visible state
  [ichimdav #5443]
* Bug fix: show required symbol on edit form gone after updating to Plone 4.2
  [ichimdav fixes #5454]
* Feature: added simple selenium test to prove that selenium tests work
  [tiberich #4011]
* Feature: Improved eea header design. Removed old personal_bar so that we get
  the new Plone standard login and bar.
  Upgrade step:
  1. move personal_bar viewlet on top of eea_cross_site_top if neccesary
  2. hide any other duplicate old personal_bar viewlet
  3. in portal_javascripts enable the popupforms.js
  [demarant fixes #5443]
* Bug fix: fixed active edit menu when it spans over more than one line
  [ichimdav #5343]
* Bug fix: override new search.pt from plone.app.search to avoid failing when
  iterating over types
  [ichimdav #5346]
* Bug fix: fixed livesearch_reply from return invalid xml on show all link
  [ichimdav #5346]
* Bug fix: override search.js from new plone search with upstream changes
  to avoid javascript errors when no search input is present
  [ichimdav #5346]
* Bug fix: added type icon for Collection from plone.app.collection
  [tiberich #5397]
* Bug fix: load specific ie fixes as well as iefixes for fixes that affect all
  IE versions
  [ichimdav #5407]

5.4 - (2012-08-02)
------------------
* Bug fix: fixed display of edit page formHelp for Plone 4.2
  [ichimdav #5346]
* Bug fix: removed authenticated flag for table_sorter.js which is responsible
  for sortable table headers in order to have the functionality also for anons
  [ichimdav #5404]
* Feature: Plone 4.2 compatibility, previous versions of eea.design were not
  compatible with Plone 4.2 [tiberich #5346]
* Bug fix: associate change_workflow_state only for the load action to prevent
  the changeWorkflowState from loading if an error is present
  [ichimdav #5263]
* Bug fix: only include published date when effectiveDate is not None
  in document_byline template
  [tiberich refs #5396]
* Cleanup: removed back ported HTML5 functionality from Plone 4.2
  [ghicaale refs #5346]
* Bug fix: fixed headings not floating because they are cleared
  [ichimdav #5392]
* Bug fix: fixed login form from logged_out template when using it over https
  [ichimdav #5000]
* Upgrade step:  from portal_setup > import > EEA Design import javascript
  steps by:
  1. Checking Javascript registry import step
  2. Uncheck Include dependecies? checkbox
  3. Hit Import selected steps button
  [ichimdav #4699]
* Feature: added outdated browser notification
  [ichimdav #4699]
* Bug fix: check if value is present when trying to display field values in
  atct_topic_view
  [ichimdav #5376]
* Bug fix: removed default entries in i18n tags
  [propschr refs #5258]"

5.3 - (2012-07-16)
------------------
* Bug fix: Quickfix for empty divs
  [szabozo0 refs #5358]

5.2 - (2012-07-13)
------------------
* Bug fix: moved further down definitions of wf_state and is_editable
  to avoid triggering false errors when Unauthorized
  [tiberich refs #5250]

5.1 - (2012-07-13)
------------------
* Feature: Show dates info easily for logged in users as done for anonym.
  [demarant]
* Feature: Added message with anchor link to comments in footer
  [szabozo0 refs #5295]
* Bug fix: Display login button in Comments if user is not authenticated
  [szabozo0 refs #5295]
* Bug fix: resolved IE8 design issues described in ticket 5233
  [ichimdav #5233]
* Upgrade Step: remove from www/portal_view_customizations/manage_main
  the customized plone colophon zope.interface.interface-plone.colophon
  [ichimdav #5314]
* Bug fix: set wf_status variable for anonymous as well, so that
  Draft watermark feature (in r28435) works for anonymous.
  [demarant]
* Feature: use parent folder image if promoted item doesn't have an
  image field else use fallback image
  [ichimdav #5247]
* Bug fix: fixed listing for anomymous users for content that uses
  folder_listing and folder_summary_view
  [ichimdav #5300]
* Bug Fix: Fixed i18n missing tags, invalid token, i18n:domain and
  duplicate keys in .zpt
  [prospchr refs #5162]

5.0 - (2012-06-20)
------------------
* Bug fix: Don't send batch keyword to atct_topic_view if context isn't
  a topic
  [ichimdav #5294]
* Bug fix: fixed padding of folder icons in navigation portlet
  [ichimdav #5243]
* Bug fix: various layout fixes, e.g. text size in promotion gallery,
  highlight thumbnails border and more.
  [ichimdav, demarant fixes #5188]
* Bug fix: removed usage of is_empty
  [tiberich refs #5289]

4.25 - (2012-06-15)
-------------------
* Bug fix: removed old map from atct_topic_view
  [ichimdav #3355]
* Bug fix: don't show overflow scrollbars for edit form in translation
  [ichimdav #5267]
* Bug fix: display translation form fields and make room for it by setting
  the edit form full screen
  [ichimdav #5267]
* Feature: Added a watermark DRAFT in content area to make it
  clear that a content is not in final publish state. This will also
  warn content manager to properly publish content instead of using the
  ambiguous public draft (visible) state.
  [demarant]
* Bug fix: blocked font size increase for nested lists
  [demarant fixes #5269]
* Bug fix: avoid tripping on errors in portal_workflow when user
  is anonymous and get an Unauthorized error
  [tiberich fixes #5250]
* Bug fix: Increase kss global timeout from 8s to 1h
  [voineali fixes #5017]
* Bug fix: set review to publish for anonymous users when displaying listings
  [ichimdav refs #5244]
* Bug fix: fixed markup of HISTORY.txt file
  [ciobabog refs #5231]
* Bug fix: fixed conflict with plone.app.discussion, submitting replies
  [szabozo0 #5189]
* Bug fix: fixed width of portlet calendar which went past the column-two width
  [ichimdav #4788]
* Bug fix: display results of topic from child folder on folder_accordion_view
  and folder_tabs_view if they are defaultPage of folder
  [ichimdav #5197]
* Change: Updated code comments
* Bug Fix: CSS adjust for the extra en link in multimedia default page.
  The content of the page will be translated in the po files
  [prospchr refs #5184]
* Bug Fix: Fix long words bug in featured article Titles
  [prospchr refs #5184]

4.24 - (2012-06-12)
-------------------
* equal to 4.23 by eggmonkey bug.

4.23 - (2012-05-15)
-------------------
* Bug fix: Replaced jquery detach with clone & remove for older jquery versions
  [szabozo0 #5095]
* Bug fix: fixed display of topic results when set as defualt_page
  [ichimdav #5182]
* Bug fix: fixed style of soer's search portlet
  [ichimdav #5175]
* Bug fix: disabled related portlet css customization for soer
  [ichimdav #5157]
* Bug fix: fixed display of auto related items portlet
  [ichimdav #5157]
* Bug fix: display event location properly in folder_listing if location is
  a tuple
  [ichimdav #4778]
* Bug fix: fade ecotip images for IE and remove text shadow for ie8 on
  portlet ecotip text
  [ichimdav #5140]
* Bug fix: add link to featured images even if they are not videos
  [ichimdav #5122]
* Change: brought changes from production to print.css
  [ichimdav]
* Bug fix: do not open open external links in new window for mark_special_links
  [ichimdav]

4.22 - (2012-04-27)
-------------------
* Bug fix: enable toc scanning back to content instead of content-core
  [ichimdav #5118]

4.21 - (2012-04-26)
-------------------
* Change: Improved "language selection" on pages beside title.
  Added language icon for better recongnition.
  [demarant refs #5117]
* Bug fix: fixed feature img distortion in ie8 triggered by the change of
  max-width for content images
  [ichimdav #5110]
* Change: simplified the style for headings h1/h2.
  [demarant]
* Change: redesigned the frontpage portlets on the right. better and consistent
  layout as the featured box. fixed several layout issues.
  [demarant]
* Bug fix: fixed content table from going over content area
  [ichimdav #5056]
* Change: Consolidated album view design to 16:9.
  [ichimdav, demarant fixes #5029]
* Bug fix: fixed live search when "only in current section" is not selected
  [ghicaale fixes #5091]
* Feature: Added more icons (CSS) for links with file extensions (.json, .tsv, etc)
  [voineali #5074]
* Feature: Display body text at the beginning of each listing template
  [ichimdav #5080]
* Upgrade step: add the following view templates to portal_types/Document:
  smart_view
  folder_accordion_view
  folder_tabs_view
  folder_summary_view
  folder_tabular_view
  atct_album_view
  folder_listing
* Display other content as album entries instead of listings in album_view since
  we have fallback images for any contenttypes
  [ichimdav #3488]
* Bug fix: fixed the issues related to folder_tabs_view and folder_accordion_view
  described in the ticket
  [ichimdav #5076]
* Bug fix: added isAnon declaration for folder_accordion_view
  [ichimdav #5076]
* Change: content images have a max-width of 100% to avoid images from going
  over the right portal column
  [ichimdav #5054]
* Bug fix: consolidated position of content icons in navigation tree
  [ichimdav 5048]
* Change: changed example documentation for galleryView in design_elements.pt
  to avoid having to load really big images when applying the galleryView class
  to a list of images
  [ichimdav #5055]

4.20 - (2012-03-30)
-------------------
* Bug fix: fixed location of the folder_icon
  [ichimdav #5048]
* Bug fix: fix distortion of promotion gallery images
  [ichimdav #5047]
* Bug fix: remove tags and topic filtering on multimedia page when
  we are on tabs different from greentips or video
  [ichimdav #5044]
* Bug fix: decreased padding of search button to avoid button from falling
  on next line on some browsers on Windows
  [ichimdav #5035]
* Change: added ajax loading image on state change
  [ghicaale #5017]
* Change: small CSS adjustments to coments viewlet
  [ghicaale #5041]
* Upgrade step: add "change_workflow_state.js" under portal_javascripts and
  "change_workflow_state.kss" under portal_kss
  [ghicaale #5017]
* Feature: added javascript plugin to be used by KSS action on workflow state change
  to show loading info
  [ghicaale #5017]
* Upgrade step:  from portal_setup > import > EEA Design import javascript and
  stylesheet steps by:
  1. Checking Javascript registry import step and Stylesheet registry checkboxes
  2. Uncheck Include dependecies? checkbox
  3. Hit Import selected steps button
  [ichimdav #5006]
* Change: removed old css and made button design more consistent across
  several other legacy css classes
  [demarant]
* Feature: added CSS for separator under action menus ( .actionSeparator )
  [ghicaale #5017]
* Bug fix: added transparency and size fixes for ie7 topright portion of
  multimedia
  [ichimdav #4990]
* Change: folder_listing is now just redirecting to a message page when
  anonymous is accessing listing for a draft folder. 404 is not semantically
  correct, as the folder is there, it is just empty for anonymous. this way we
  can also see in google analytics if there are any high trafficed ones.
  [demarant #5015]
* Change: increased font size for paragraphs in content-core area.
  users have complained text is too small.
  [demarant]
* Bug fix: order of data-and-maps and allproducts chronologically
  [ichimdav #4724]
* Bug fix: fix column position for right to left languages
  [ichimdav #4971]
* Upgrade step: remove toc.js from portal_javascripts
  [ichimdav #5014]
* Change: use eea-toc logic only instead of toc.js from plone
  [ichimdav #5014]
* Change: folder_listing is now throwing NotFound instead of Unauthorized for two reasons,
  one that Google bot or other bot will not return after it receive am NotFound (404) and
  second to keep the Zope logs clean
  [ghicaale #5015]
* Upgrade step: go to www/portal_types/Folder/manage_propertiesForm and add
  smart_view - folder_accordion_view - folder_tabs_view to -- Available view methods field
* Feature: added folder_accordion_view and folder_tabs_view as two additional
  views for folders
  [ichimdav #5006 #5007]
* Change: use smaller image for showing relations links, so it takes less space
  especially when there is no item description.
  [demarant]
* Bug fix: fixed tinymce widget width going over content area
  [ichimdav #4998]

4.19 - (2012-03-05)
-------------------
* Feature: Added the generic relation macro by eea.relations.
  Upgrade step: in @@manage-viewlets
  hide Viewlet: plone.belowcontentbody.relateditems
  hide Viewlet: eea.related_pages
  add possible relation for documents/articles to other eea content.
  [demarant #3414,#4919]
* Upgrade step: remove folder_listing.pt from /portal_skins/custom as setting a title
  there will reflect in CMS display choices
  [ghicaale #4986]
* Bug fix: fixed folder_summary_view template that was using a deprecated is_empty code
  [ghicaale #4986]
* Bug fix: set login POST on HTTPS
  [ghicaale #4978]
* Bug fix: fixed colors on workflow state change in cms,
  it was not possible to distinguish green on green and white on white.
  [demarant]
* Bug fix: don't show language link on frontpage in right side column
  [tiberich #4960]
* Change: display promotions of dataset types and with display_on_datacentre
  if available, otherwise show all products
  [ichimdav #4936]
* Bug fix: properly link images in css files
  [tiberich #4956]
* Bug fix: fixed collapsible items in advanced search form
  [tiberich #4878]
* Bug fix: remove id from cloned nodes when creating language links
  [tiberich #4954]

4.18 - (2012-02-15)
-------------------
* Bug fix: registered main_template as view only for EEA layer
  [tiberich]

4.17 - (2012-02-15)
-------------------
* Bug fix: disabled rule that referenced bgnature.jpg
  [tiberich #4947]
* Bug fix: registered main_template as a page, it is used by
  Products.eeawebapplication
  [tiberich #4947]
* Bug fix: in atct_topic_view don't fail on brains with Missing.Value
  [tiberich #4947]
* Bug fix: filter results to show only latest version on whatsnew sections
  [demarant #4943]
* Change: design improvements, made the enquiry and mobile shortcuts on frontpage
  use same css as used for other frontpages. mobile text was also only an image.
  [demarant]
* Bug fix: fixed width of edit forms
  [tiberich #4888]
* Bug fix: made the video file view movie size as big as the page
  [ichimdav #4941]
* Bug fix: fixed gallery/list icons on whatsnew tabs not showing up
  [demarant #4944]
* Bug fix: fixing min-width of page if it goes below 1024px, works for
  frontpage, data-and-maps, to be fixed for normal views
  [ichimdav #4842]
* Bug fix: fixed frontpage, data-and-maps and multimedia
  for ie8 and ie7 1024px resolution
  [ichimdav #4842]

4.16 - (2012-02-06)
-------------------
* Bug fix: removed customization of width-full and position-0 to avoid body cut
  [ichimdav #4925]
* Change: made the portalMessage error bigger
  [ichimdav #4816]
* Bug fix: footer text was not properly centered, reduced the footer info.
  added link to software changes files, so that users can see what has changed.
  [demarant]
* Feature: added a thin border around every publication cover
  [ghicaale #4855]
* Bug fix: less space between album entry so that we can have 3 columns on
  album view when used on faceted search e.g. advanced-search.
  [demarant]
* Bug fix: filter words 'and', 'or' from livesearch input
  [tiberich #4872]
* Bug fix: url for data-and-maps must be absolute as it is used in themes,
  where it worked by zope acquisition.
  [demarant]
* Bug fix: don't show types that have missing FTI in advanced search form
  [tiberich #4872]

4.15 - (2012-01-11)
-------------------
* Bug fix: fixed layout issues of external link icon and
  the language switch indicator
  [demarant #4870]
* Bug fix: more layout fixes for 1024px resolution
  [ichimdav #4842]
* Change: Customize the reset password page of Plone, since we have a specific
  Eionet page for resetting eionet ldap accounts.
  [demarant]
* Bug fix: fixed wrongly fading of gallery panels
  [ichimdav #4856]
* Bug fix: Allow HTML in portal status message
  [voineali #4706]
* Bug fix: fixed globalnavigation look for Opera browser
  [ichimdav #4856]
* Bug fix: removed wrong selectors for ie8 green gradient
  [ichimdav 4619]

4.14 - (2012-01-03)
-------------------
* Bug fix: fixes issue number 8 and 19 from ticket #4619
  [ichimdav #4619]
* Bug fix: added info message when javascript is disabled or we have a
  javascript error on the page
  [ichimdav #4748]
* Bug fix: added viewport metadata to main_template to force the ipad to
  display the site in the maximum width of 1024px instead of an emulation at
  980px
  [ichimdav #4683]
* Bug fix: fixed transparency on multimedia of whatsnew-gallery IE8
  [#4673]

4.13 - (2011-12-16)
-------------------
* Bug fix: fixed width and height of gallery_fancybox_view
  [ichimdav #4818]
* Bug fix: removed portal-column-two from @usergroup
  [ichimdav #4817]
* Bug fix: Fixed "Image caption text does not show" for PressReleases
  [voineali #4772]

4.12 - (2011-12-15)
-------------------
* Bug fix: fixed the padding issue on ipad and any other devices that have
  resolution of 1024px
  [ichimdav #4683]
* Bug fix: allow videos to be displayed as promotions
  [ichimdav #4830]
* Change: Updated "Refresh this page" according with EEAContentTypes changes
  [voineali #4689]
* Bug fix: fixed small promotion gallery for pages that weren't from themes
  folder
  [ichimdav #4827]
* Bug fix: Fixed contact-info for authenticated users.
  [voineali #4781]
* Bug fix: added override for login.js to solve problem in IE8
  [tiberich #4808]

4.11 - (2011-12-07)
-------------------
* Change: better fix for indicators toc list
  [ichimdav #4726]
* Bug fix: fixed 2, 8, 11, 15, 16 issues from ticket #4619
  [ichimdav #4619]
* Bug fix: fixed link to articles archive to point to site/articles anywhere in the site
  [ichimdav #4819]
* Change: updated message for deleting portlets
  [ghicaale]

4.10 - (2011-12-02)
-------------------
* Change: removed kss action from the removal of the portlet and do the post with jquery because
  the kss action interacted with the confirm popup even if canceled
  [ichimdav #4793]
* Bug fix: hide ImageFS image for listings because of double content image
  [ichimdav #4762]
* Bug fix: fixed toc list for indicators edit form in eea-toc.js
  [ichimdav #4726]

4.9 - (2011-11-30)
------------------
* Bug fix: removed retrieval of description from parent on album entries because it fails to get aq_parent
  when the parent is a faceted navigation enabled folder
  [ichimdav #4807]

4.8 - (2011-11-29)
------------------
* Change: added eye on earth as external site and removed unused macros
  [demarant]
* Change: added a warning box which alerts the user that he is about to delete a portlet
  [ichimdav #4793]

4.7 - (2011-11-28)
------------------
* Change: Fixed floating issue with related portlets
  [demarant]
* Change: Links in text must have discreet underline.
  removed Inline-block, was giving issue when used in news with floating right images.
  [demarant]
* Bug fix: Fixed link color in live search results, it was not visible, white on white.
  [demarant]

4.6 - (2011-11-25)
------------------
* Bug fix: fixed newsletter rendering template
  [ghicaale #4792]
* Bug fix: fixed the preview image url for the case when we have an external
  promotion (link type), the target link and the image link are different.
  [demarant #4662]
* Bug fix: fixed cross_site_top macro reference to global_externalsites which prevented the template from
  being editied with portal_view_customizations
  [ichimdav #4783]
* Feature: made "all items" links in whatsnewgallery overwritable to be used by
  data centres pages
  [demarant #4784]

4.5 - (2011-11-24)
------------------
* Bug fix: Updated redirect for broken links
  [szabozo0 #4702]
* Change: display link from url field for external promotions
  [ichimdav #4662]

4.4 - (2011-11-23)
------------------
* Bug fix: display loading image when clicking on the whatsnew gallery to show visual progress
  [ichimdav #4672]
* Bug fix: Fixed TOC for indicators
  [szabozo0 #4726]
* Change: hide site tagline/motto.
  [demarant]

4.3 - (2011-11-22)
------------------
* Bug fix: removed effectiveRange from the topic queries, it missing brains which were found with
  the faceted navigation
  [ichimdav #4725]
* Bug fix: Improved the image quality in the features-item macro, it was using
  a image_thumb (which was stretched) instead of image_preview higher res.
  [demarant]

4.2 - (2011-11-21)
------------------
* Bug fix: fixed links for enquiries
  [szabozo0 #4735]

4.1 - (2011-11-18)
------------------
* Change: changed configuration of faceted navigation for multimedia page to use a single faceted page
  [ichimdav #4725]

4.0 - (2011-11-18)
------------------
* Bug fix: Fixed header panels to hide on click
  [szabozo0 #4711]
* Bug fix: Fixed redirects for broken links
  [szabozo0 #4702]
* Change: Improve readability of promo gallery on frontpage and disable description.
  [demarant]
* Feature: added portlet to invalidate cache
  [tiberich #4689]
* Bug fix: added the Invalidate cache link in the colophon
  [tiberich #4689]
* Feature: Added a viewlet eea.js_belowbodytag for adding inline js just after the body tag.
  [demarant]
* Bug fix: Fixed transparency in ie8 on Environmental topics page for the main topics
  [szabozo0 #4697]
* Change: Migrated showurl from custom
  [szabozo0 #4161]
* Bug fix: Fixed quality of the images for IE8
  [szabozo0 #4673]
* Change: Migrated portlet_toc, portlet_reports from custom
  [szabozo0 #4161]
* Bug fix: some templates where still using fill-slot="main", changed to content-core
  [demarant]
* Feature: Added context_url and parent_url javascript variables to maintemplate
  [szabozo0 #4612]
* Bug fix: get rid of onFrontpage check in main_template, allows proper display of left and right portal columns
  [tiberich #4624]
* Bug fix: Fixed login_form when using not existing user/password
  [szabozo0 #4596]
* Bug fix: Added tiny_mce.js version 3.4.5 for IE 9 compatibility
  [szabozo0 #4542]
* Feature: extended the features of dates in document by line to also include
  creation date. each of the dates can be switched on/off by metatype.
  [demarant, #4537]
* Feature: added condition on showing dates info under title for anonymous.
  The default content types that show dates info can be set in site_properties/metatypes_showdates.
  [demarant]
* Change: Updated CSS for calendar
  [szabozo0 #4501]
* Bug fix: Fixed JS error when portal_javascripts are not in development mode
  [szabozo0 #4542]
* Bug fix: Fixed IE JS errors, fixed code that uses jQuery to avoid conflicts
  with other JS frameworks
  [szabozo0 #4542]
* Change: no more red CMS banner when logged in. was creating issues, no need for
  that. it is very clear by other elements that you are logged in.
  [demarant]
* Bug fix: fixed design issues on soer frontpage due to new template.
  [demarant #4520]
* Feature: Moved Site Setup portlet from left column to the right
  [szabozo #4493]
* Feature: refs# 4487 added optional boolean parameter show_description to hide description on promotion gallery, limited the number of character
  to show in promo navigator and on title so that it works well on most content.
* Feature: extended the common feature-item macro with "descr_max_length" integer parameter for cropping the lengthy descriptions, default 200
  chars
  [demarant].
* Feature/Bug fix: refs #4425, fixed a small bug with href for the new featured macro. added the feature of limiting the number of items to show
  [demarant].
* Feature: Added first version of "all products" in the whatsnew section. it remains to resort the list by effective date.
  [demarant]
* Bug fix: Fixed widgets on soer frontpage, Enabled external link icons, Added styling for wise portlets
  [szabozo0 #4446]
* Change: updated the variable of colors to match the new update color scheme. now we can start using these dtml variables in our css to be
  consistent.
  [demarant #4458]
* Bug fix: Fixed file type on album view for EEAFigure, CSS for issue on "Latest added" portlet
  [szabozo0 #4446]
* Bug fix: Replaced slide effect with fade. Slide is not available directly in jquerytools only via custom plugin
  [szabozo0 #4446]
* Bug fix: Enabled eea-smartview.js, fixed double /view on folder listing, fixed padding for tinymce
  [szabozo0 #4446]
* Feature: Added spotlight functionality
  [szabozo0 #4425]
* Change: Fixed Right portlets layout, Design of the portlets in the footer, double external link icon
  [szabozo0 #4440]
* Change: Override vpip.js with eea_vpip.js for swf animation popup view
  [szabozo0 #4379]
* Added an override for batch_macros that uses a view. This is to workaround a bug
  [tiberich]
* Feature: Added upgrade steps
  [voineali #4392]
* Feature: Plone 4.x compatible version. This version is backward incompatible
  [ichimdav]

2.25 - (2011-05-20)
-------------------
* Feature: Added a social/followus portlet to the frontpage
  [demarant]

2.24 - (2011-05-10)
-------------------
* Bug fix: Fixed Javascript error in policy-documents faceted navigation, IE 8
  [voineali #4318]
* Bug fix: now portlet_gazette find only the NewsletterTheme
  with id='eea_main_subscription'
  [ghicaale]

2.23 - (2011-04-07)
-------------------
* Feature: Added style for pull-out which is used via kupu/tinymce
  [demarant]
* Change: Soer topic search must return also documents/pages from
  synthesis report
  [demarant]

2.22 - (2011-04-01)
-------------------
* Cleanup: Removed PloneRSSPortlet
  [voineali #4169]
* Bug fix: Added translation domain to ZCML files
  [voineali #4139]
* Change: Added API link "for developers" to the footer
  [demarant]
* Change: Added facebook link to portlet gazette (subscriptions)
  [demrant]

2.21 - (2011-03-09)
-------------------
* Change: cleaned up package for pylint & pyflakes violations
  [ichimdav #4140 #4141]

2.20 - (2011-03-02)
-------------------
* Change: removed traces of RDFEvent of PloneRDFCalendar due to cleanup
  [ichimdav #2931]
* Change: added specific CSS class for "Share with others" so it
  can be skiped on print
  [ghicaale #4152]

2.19 - (2011-02-18)
-------------------
* Bug fix: fixed slide.js scoping issues
  [ichimdav]

2.18 - (2011-02-18)
-------------------
* Bug fix: fix fancybox pop-up for chrome 9
  [ichimdav #4132]
* Change: brought changes from production & replaced thickbox
  [ichimdav #3773]
* Change: replaced thickbox with fancybox
  [ichimdav #3773]
* Bug fix: layout fix in soer figures map view
  [tiberich #4065]
* Bug fix: fix behaviour of tooltips in portalactions
  [tiberich #4132]
* Bug fix: hardcode eea website location in cross_site_panels language selector
  [tiberich #4126]

2.17 - (2011-02-01)
-------------------
* Bug fix: tooltip layer used for properties fields was hidden behind
  left nav, increased z-index.
  [demarant]
* Feature: added subscriber numbers in portlet_gazette
  [tiberich #2080]

2.16 - (2011-01-14)
-------------------
* Bug fix: made toc portlet width fluid to play better on smaller
  screens and within indicators
  [demarant]

2.15 - (2010-12-21)
-------------------
* Bug fix: Fixed error when using portal language settings
  [voineali #4016]

2.14 - (2010-12-20)
-------------------
* Bug fix: Auto fullscreen if body has CSS class 'fullscreen'
  [voineali #4007]

2.13 - (2010-12-20)
-------------------
* Feature: Added protection script against being trapped in other site's frames
  [demarant]

2.12 - (2010-12-13)
-------------------
* Bug fix: Fixed jslint warnings
  [voineali #3821]

2.11 - (2010-12-06)
-------------------
* Change: renamed the soer search template to advanced-search, since
  search is plone reserved and stopped working
  [demarant]
* Bug fix: disabled enter key event on soer frontpage free text search,
  since it was not working
  [demarant #3916]
* Bug fix: max characters for soer boxes is lowered to 300
  [demarant #3888]
* Bug fix: fixed many layout issues on soer frontpage,synched
  from custom
  [demarant #3912]
* Change: compromised time of 7s for message portlet slide on soer frontpage
  [demarant]
* Bug fix: id to soer frontpage search must be c4
  [demarant]
* Bug fix: removed unnecessary loop in soer_fronpage.js that was
  putting IE8 on it knees
  [vincisas #3931]
* Change: added related pages at the bottom since the related portlets are
  removed in document_view in ZMI custom
  [vincisas #3927]
* Change: remove related items code from file_view, we have everything in
  main_template.
  [vincisas #3926]
* Change: customized at_download.py to raise NotFound instead of
  raising errors
  [tiberich #3934]
* Bug fix: fixed RSSFeedRecipe_icon.png cache settings
  [ghicaale #3943]

2.10 - (2010-11-26)
-------------------
* Change: Added more links under facts/messages boxes and other boxes on
  SOER frontpage
  [demarant]
* Bug fix: re-enabled the soer frontpage tag cloud and adjusted its design
  [demarant]
* Bug fix: The tagcloud portlet's items are not updated according with
  the counting
  [voineali #3860]
* Change: longer delay when playing keyfacts/keymessages
  [demarant]
* Bug fix: layout of key facts boxes, limit the text length from 380 to 320
  after some more testing
  [demarant #3888]
* Change: style: make all countries names uppercase in soer countries facet,
  for conformity
  [demarant]
* Bug fix: the topic result page for SOER2010 frontpage must include only
  certain types
  [demarant #3894]
* Bug fix: layout fix for sliding portlets, play button was overlapping,
  give more height
  [demarant #3888]
* Change: SOER2010 key messages and key facts: play slower
  [vincisas #3899]
* Feature: SOER2010 make key facts and key messages appear in randomly on
  SOER homepage
  [vincisas #3892]

2.9 - (2010-11-22)
------------------
* BUG FIX: Layout fix for geo popup on SOER homepage
  [vincisas #3876]

2.8 - (2010-11-19)
------------------
* Feature: Added 'portlet_soer_tagcloud' in order to be used with SOER frontpage
  [voineali #3860]

2.7 - (2010-11-16)
------------------
* Change: map soer topic menu to partc topics and hide any sections that
  do not have results.
  [vincisas #3838]
* Feature: browse geographically menu as fancybox popup.
  [vincisas #3796]
* Bug fix: fixed topic search for soer frontpage, made sure the required
  keywords were queried with AND and then filtered on the 'optionals'
  [vincisas #3852]
* Feature: play/pause buttons for key message and key fact slide portlets
  [vincisas #3840]

2.6 - (2010-11-11)
------------------
* Change: text of key messages and key facts cut after x words
  [vincisas #3833]
* Feature: More link added to key facts and key messages. We had to shorten
  number of characters to max 380 to fit the 'more' link.
  [vincisas #3834]
* Change: First occurence of selected key word is marked bold.
  [vincisas #3835]
* Change: Top portlets on soer frontpage have lower height now
  [vincisas #3836]

2.5 - (2010-11-10)
------------------
* Change: titles changed for key facts and messages on soer frontpage
  [vincisas #3830]

2.4 - (2010-11-05)
------------------
* Change: The 'country environment' section now lists part-C content tagged with
  [r18506 thuliper]
* Bug fix: Removed path from catalog query so the query should be bullet proof now
  [r18500 thuliper]
* Change: Only require SOER2010 plus ONE of the passed in keywords.
  [r18499 thuliper #3797]
* Bug fix: Display all countries in alphabetical order.
  [r18498 thuliper #3800]
* Change: More padding on search box titles/labels.
  [r18497 thuliper #3798]
* Bug fix: Avoid long item in drop down.
  [r18496 thuliper #3798]
* Bug fix: Fixed size on #visual-portal-wrapper and video box.
  [r18495 thuliper #3798]
* Change: Also support 'soer-draft' as the name of the soer frontpage folder
  [r18494 thuliper]

2.3 - (2010-10-25)
------------------
* Feature: SOER 2010 frontpage milestone 1
  [thuliper]
* Bug fix: fixed 404s on loading images in eea template on devels
  [ghicaale #3697]

2.2 - (2010-10-19)
------------------
* Bug fix: fixed bug where pop up panels would dissapear.
  [thuliper #3216]
* Bug fix: fixed print stylesheeet for Firefox
  [tiberich #3369]

2.1 - (2010-09-29)
------------------
* Change: Better style for commenting features
  [demarant #3721]

2.0 - (2010-09-06)
------------------
* Change: Better style for commenting features.
  [demarant]
* Feature: Users with role "CommentsEditor" upon login will keep "EEADesign200"
  skin and will be redirected on comments section
  [ghicaale #3509]
* Feature: Various portal messages added related to comments functionality
  [ghicaale #3509]
* Feature: Updated the templates so now we can allow discussion on objects
  [ghicaale #3509]
* Feature: Add class for review state to folder_summary_view macros.
  [tiberich #3561]
* Feature: Override default with custom implementation members.css
  [tiberich #3561]

1.9 - (2010-08-16)
------------------
* Bug fix: Fixed a problem with back-to-toc links when the TOC was regenerated
* Feature: Use new fancybox based video popup
  [thuliper, #3040]
* Feature: Refactored eea-toc.js to be able to rebuild it on the fly
  [tiberich, #3518]

1.8 - (2010-08-04)
------------------
* Feature: Hidable left menu
  [thuliper, #3436]
* Bug fix: Fixed all images to have righ metadata file with cache setting.
  Added bash script for later use.
  [demarant]
* Feature: Added image icon for creative common license to improve speed
  [demarant]

1.7 - (2010-07-08)
------------------
* Change: Thinner global nav
  [demarant]
* Change: Reduced the spaces used by the cross-site-top area
  [demarant]

1.6 - (2010-07-02)
------------------
* Change: Commented "document_relateditems/macros/auto" in main_template.pt
  [ghicaale, #3468]

1.5 - (2010-07-01)
------------------
* Feature: New globalnav style
  [thuliper, #3463]
* Feature: JSTOC now has a back-to-table-of-contents button
  [thuliper, #3426]
* Change: contact-us panel deactivated for translated sites
  [thuliper, #2954]
* Change: subfolder_view now use default page if one exists
  [thuliper, #3318]

1.4 - (2010-06-16)
------------------
* Bug fix: Fixed width for TOC area so that long titles are not spanning entire page
  [demarant].
* Change: Removed redundant related feeds macro in below content area
  [demarant, #3208].
* Change: Moved #auto-related portlet to below content
  [thuliper, #2764]
* Change: Merged subfolder_view and dc_view
  [thuliper, #3372]
* Feature: Integrate smart_view with faceted navigation
  [thuliper, #3340]
* Feature: Can now conifigure which headers JSTOC will pick up
  [thuliper, #3206]
* Change: JSTOC now uses absolute URLs
  [thuliper, #3242]
* Feature: JSTOC is now collapsable
  [thuliper, #3076]
* Change: smart_view now works with subfolder_view
  [thuliper, #3321]
* Feature: Add history and bookmark support in smart_view
  [thuliper, #3238]

1.3 - (2010-05-07)
------------------
* Feature: Integrated eea-accordion with new theme data centres
  [thuliper]
* Feature: Beginning of smart_view
  [thuliper, #3185]
* Change: Document actions now at the bottom
  [thuliper, #3151]
* Change: Make atct_album_view use valentine.imagescales v0.3 fallback image solution
  [voineali #3305]
* Feature: Make accordion scroll the page to the top when clicked
  [thuliper, #3169]
* Feature: Automatically open accordion section where there's a selected
  navigation item
  [thuliper, #3168]

1.2 - (2010-03-26)
------------------
* Bug fix: Fixed bug where first link in ETC (cross-site-menu) was not clickable
  [thuliper, #3177]
* Change: Disabled cross site menu popups for IE6
  [thuliper, #3175]
* Bug fix: Fixed atct_album_view title when used in figure context
  as it is used by fancybox
  [voineali #3156]
* Feature: Added table of contents portlet
  [thuliper, #3076]

1.1 - (2010-03-16)
------------------
* Change: Tweaks for gallery-fancybox to work better on small resolutions
  [thuliper]
* Feature: New subfolder_view for listing contents of subfolders
  [thuliper, #3102]

1.0 - (2010-03-08)
------------------
* Change: Show cross-site-menu panels on mouseclick instead of hover
  [thuliper, #3039]
* Feature: Implemented flexible tooltips in order to be able to add variable
  length tooltips
  [voineali, #2986]
* Bug fix: Prepend ecotip link in footer with portal_url so that it works
  with template_service
  [thuliper, #3038]
* Change: Removed frontpage properties from profile, properties are now
  managed via zmi
  [demarant]
* Change: Update atct_album_view macro in order to be used with eea.dataservice
  fancybox
  [voineali, #2924]

0.9 - (2010-02-22)
------------------
* Feature: Autoscroll browser down to element classed 'autoscroll-to-here'
  [#3011]
* Feature: Separated galleryview/tooltip integration into more descriptive
  files enabled for CMS
  [thuliper, #3007]
* Change: Generalized the tooltip system
  [thuliper, #3003]

0.8 - (2010-02-15)
------------------
* Feature: New search box image
  [thuliper #2952]
* Change: Customized jquery.ui panel style to use our blue color on links.
  [thuliper]
* Bug fix: Fixed event pop up to not rely on acquisition to reach the events Rich Topic
  [thuliper]
* Bug fix: Fixed name CSS class name clash with Kupu
  [thuliper]

0.7 - (2010-01-18)
------------------
* Feature: Portal message for version info now uses two different class styles,
  one for warning and one for just information.
  [demarant, #2389]
* Feature: Download figure if no thumb on atct_album_view.
  [ghicaale #2897]
* Feature: Slide panels for cross-side-top menu.
  [vincisas, thuliper #2771, #2881]

0.6 - (2010-01-04)
------------------
* Bug fix: Map tooltip not shown where there is already an events map on the page.
  [ghicaale #2771]

0.5 - (2009-12-04)
------------------
* Change: Hardcoded list of promotions to show how it looks with correct images.
  [thuliper #2824]
* Feature: Use new green tooltips from eea.jquery.
  [thuliper #2840]
* Change: New smaller image layout of frontpage promotions.
  [thuliper #2840]

0.4 - (2009-12-01)
------------------
* Feature: Added tooltips for multimedia area
  [thuliper #2769]
* Feature: Added jQuery Tools tooltips to frontpage promotions.
  [thuliper #2824]
* Bug fix: Fit current navigation in lowest supported resolution
  [vincisas]

0.3 - (2009-11-18)
------------------
* Feature: Made /data-and-maps/figures and /data-and-maps/data show in fullscreen.
  [thuliper]
* Change: Removed tagline and frontpage-searchbox.
  [demarant]
* Feature: Display info/warning dialog before printing.
  [thuliper #2791]
* Change: Removed frontpage multimedia from print.css - it didn't layout correctly in IE.
  [thuliper]
* Bug fix: Fixed searchbox not removing default text when focused.
  [thuliper]
* Bug fix: Fixed campaign mode/regular promotions logic so that it does
  not crash when there's only one promotion.
  [thuliper]
* Bug fix: Fixed content overflow in frontpage column areas.
  [thuliper]
* Bug fix: Fixed document actions position too high.
  [thuliper #2792]
* Bug fix: Fixed bug where promotions on theme pages sometimes took up too little width.
  [thuliper]
* Bug fix: Fixed horizontal scrollbar on frontpage in IE7/8.
  [vincisas]

0.2 - (2009-11-10)
------------------
* Feature: print.css added
* Bug fix: tagline fixes
* Feature: a-z glossary link style

0.1 - (2009-11-10)
------------------
* Initial release
